2007-03-22 08:06  konrad_m

	* completion.cpp, parsing.cpp, preferences.cpp, preferencesdlg.cpp:
	  Changed a bunch of for loops into the new Qt4 foreach construct.

2007-03-22 04:06  kevinkofler

	* mainform.cpp: Remove commented out code.

2007-03-22 03:36  konrad_m

	* completion.cpp, completion.h, ktigcc.h, mainform.cpp,
	  parsing.cpp, preferences.cpp, preferencesdlg.cpp: Updated to use
	  QList / QLinkedList instead of the old Q3ValueList and Q3PtrList.

2007-03-11 03:21  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use qt_metacall to invoke the
	  keyReturn, clearUndo and clearRedo slots which are not in the new
	  interfaces.

2007-03-11 02:57  kevinkofler

	* mainform.cpp, mainform.h, srcfilewin.cpp, srcfilewin.h: Adapt to
	  KatePart signal API changes:
	  * View::cursorPositionChanged now takes a KTextEditor::View* and a
	  KTextEditor::Cursor&.
	  * Document::selectionChanged() ->
	  View::selectionChanged(KTextEditor::View*)
	  * Document::textChanged now takes a KTextEditor::Document*.

2007-03-11 02:23  kevinkofler

	* mainform.cpp, mainform.h, srcfilewin.cpp, srcfilewin.h: Adapt to
	  new KatePart signal API: Document::charactersInteractivelyInserted
	  -> View::textInserted Remove unused fileText in
	  SourceFileWindow::current_view_textInserted and
	  SourceFileWindow::current_view_newLineHook.  Use first line instead
	  of entire fileText to get first character in
	  MainWindow::current_view_textInserted and
	  MainWindow::current_view_newLineHook.

2007-03-08 10:27  kevinkofler

	* fedora/ktigcc.spec: Add missing RPM specfile changelog entry.

2007-03-08 10:24  kevinkofler

	* INSTALL, ktigcc.pro, fedora/ktigcc.spec: Fix dist-bz2 target to
	  include .pro file.  Update RPM specfile and INSTALL instructions.

2007-03-08 09:49  kevinkofler

	* ktigcc.pro: Update rpm target to use versioned tarball. Remove
	  obsolete TAR_OPTIONS=--wildcards workaround.

2007-03-08 09:47  kevinkofler

	* ktigcc.pro: Rewrite dist-bzip2 so it:
	  * doesn't compress with gzip first, then decompress and repack with
	  bzip2,
	  * compresses directly during the tar step (faster),
	  * uses cp -p (preserves file timestamps),
	  * doesn't distribute .pri and .prf files which are part of Qt and
	  may be platform-dependent,
	  * doesn't distribute generated .moc/*.cpp and qrc_icons.cpp,
	  * adds a dash before the version number.

2007-03-08 09:18  kevinkofler

	* ktigcc.pro: Add missing DISTFILES (images/*.png and contents of
	  mingw/), set VERSION.

2007-03-08 09:09  kevinkofler

	* icons.qrc, mainform.cpp, mainform.ui, srcfilewin.cpp,
	  srcfilewin.ui, images/00[DEAD], images/00.png, images/01[DEAD],
	  images/01.png, images/02[DEAD], images/02.png, images/03[DEAD],
	  images/03.png, images/04[DEAD], images/04.png, images/05[DEAD],
	  images/05.png, images/06[DEAD], images/06.png, images/07[DEAD],
	  images/07.png, images/08[DEAD], images/08.png, images/09[DEAD],
	  images/09.png, images/10[DEAD], images/10.png, images/11[DEAD],
	  images/11.png, images/12[DEAD], images/12.png, images/13[DEAD],
	  images/13.png, images/14[DEAD], images/14.png, images/15[DEAD],
	  images/15.png, images/16[DEAD], images/16.png, images/17[DEAD],
	  images/17.png, images/18[DEAD], images/18.png, images/19[DEAD],
	  images/19.png, images/20[DEAD], images/20.png, images/21[DEAD],
	  images/21.png, images/22[DEAD], images/22.png, images/23[DEAD],
	  images/23.png, images/24[DEAD], images/24.png, images/25[DEAD],
	  images/25.png, images/26[DEAD], images/26.png, images/27[DEAD],
	  images/27.png: Add .png extension to extensionless images.

2007-03-03 21:47  kevinkofler

	* NEWS, programoptions.ui:
	  * Fixed missing word wrap on the data variable reloc label in
	  Program Options.
	  * Fix missing word wrap for another few labels where it got lost
	  during uic3 conversion.

2007-03-03 21:28  kevinkofler

	* preferencesdlg.ui, projectoptions.ui: Fix "name TabPage is
	  already used" warnings.

2007-03-03 20:42  kevinkofler

	* preferencesdlg.ui: Revert accidental QTabWidget::currentIndex
	  change.

2007-03-03 20:42  kevinkofler

	* preferencesdlg.ui: Convert paletteBackgroundColor properties lost
	  during uic3 conversion to QPalette::Window with
	  autoFillBackground=true.

2007-03-03 07:09  kevinkofler

	* ktigcc.pro: Attempt to support native MinGW builds: check for
	  win32 instead of win32-cross-g++ in most places. Handle only
	  KDEPREFIX differently (try running kde4-config, do not mention
	  cross-mingw32-ktigcc.sh).

2007-03-03 06:04  kevinkofler

	* ktigcc.pro: Link -lkdewin32 on cross-MinGW builds.

2007-03-03 06:00  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use SetForegroundWindow instead of
	  KWin::activateWindow on Win32.

2007-03-03 05:39  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use setWindowIcon instead of
	  deprecated setIcon.  Call KWin::setIcons only on X11.

2007-03-03 05:10  kevinkofler

	* completion.cpp, ktigcc.pro, newsdlg.cpp: Test for a subtle
	  KConfig API change between the official 3.80.3 release and the
	  snapshot used by the kde-windows developers and fix build with the
	  changed API.

2007-03-03 04:12  kevinkofler

	* mingw/mkspecs/win32-cross-g++/qmake.conf: Set QMAKE_RCC in
	  cross-MinGW mkspec so QMake doesn't try to execute rcc.exe.

2007-03-03 03:44  kevinkofler

	* tpr.cpp: Fix MinGW build (no sys/dir.h, mkdir only takes 1
	  argument).  Use _WIN32 instead of __WIN32__.

2007-03-03 03:35  kevinkofler

	* ktigcc.pro: Fix typo in previous commit (CFLAGS instead of
	  CXXFLAGS).

2007-03-03 03:34  kevinkofler

	* ktigcc.pro: Define HAVE_STDINT_H on all g++ targets (for the
	  tilibs).

2007-03-03 03:31  kevinkofler

	* preferences.cpp: Remove unused #include <sys/stat.h> and #include
	  <sys/dir.h>.

2007-03-03 03:25  kevinkofler

	* ktigcc.pro: Add kdewin32 headers to the include path for
	  cross-MinGW builds.

2007-03-03 03:12  kevinkofler

	* ktigcc.pro: Hack out hardcoded prefix from the glib2 binary
	  package's pkg-config file in cross-MinGW builds.

2007-03-03 02:55  kevinkofler

	* ktigcc.pro, mingw/cross-mingw32-ktigcc.sh,
	  mingw/mkspecs/win32-cross-g++/qmake.conf,
	  mingw/mkspecs/win32-cross-g++/qplatformdefs.h: Add MinGW
	  cross-build scripts.  Update ktigcc.pro for cross-MinGW builds.

2007-03-02 02:34  kevinkofler

	* preferences.cpp: Remove <indentation> entry from the syntax
	  highlighting descriptions because the KDE 3.80.3 KatePart chokes on
	  it.

2007-03-02 01:31  kevinkofler

	* NEWS: Mention the KDE(4)HOME fix in NEWS.

2007-03-02 01:28  kevinkofler

	* preferences.cpp: Don't hardcode ~/.kde for localkdedir.

2007-03-02 01:12  kevinkofler

	* mainform.cpp: Don't try removing a new file on its first rename.

2007-03-02 01:10  kevinkofler

	* mainform.cpp: Don't try to open the URL for a new file.

2007-03-02 01:05  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Recursively create the directory to
	  save a file into before saving it.

2007-03-02 01:01  kevinkofler

	* mainform.cpp: Renaming a file now saves it.

2007-03-02 00:29  kevinkofler

	* mainform.cpp, srcfilewin.cpp, tpr.cpp, tpr.h: Let the KatePart
	  save the files. Remove no longer used saveFileText.

2007-03-02 00:10  kevinkofler

	* mainform.cpp, tpr.cpp, tpr.h: Don't load the file text twice,
	  once by hand and once in the KatePart. Use a faster peekFirstChar in
	  the external source file case, and just remove the call in the
	  others.

2007-03-01 23:49  kevinkofler

	* mainform.cpp, srcfile.h, srcfilewin.cpp, srcfilewin.h: Start
	  moving file handling to the KatePart.

2007-03-01 23:24  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Fix lockup while creating new file
	  or opening file. Other SET_TEXT_SAFE calls still crash though,
	  calling setText with a view open doesn't work anymore.

	  Fix crash while opening project (another instance of
	  emptyQString[0]).

2007-03-01 22:41  kevinkofler

	* mainform.cpp: Remove textBuffer and redundant tests for non-NULL
	  kateView for editable files.

2007-03-01 22:33  kevinkofler

	* mainform.cpp, preferences.cpp, preferencesdlg.cpp,
	  preferencesdlg.ui: Remove lazy loading hack.

2007-03-01 22:26  kevinkofler

	* preferencesdlg.cpp, preferencesdlg.ui: Don't prefill the
	  K3ListView in the .ui file anymore, Qt Designer 4 doesn't support
	  this.

2007-02-27 20:27  kevinkofler

	* completion.cpp, mainform.cpp, preferences.cpp: Run
	  remove-qt3-support.pl.

2007-02-27 20:17  kevinkofler

	* mainform.cpp: Remove unused #include <QTextDocument> inserted by
	  the conversion scripts at a wacky location.

2007-02-27 19:37  kevinkofler

	* completion.cpp: Use QString::split method instead of deprecated
	  static QStringList::split.

2007-02-27 19:26  kevinkofler

	* mainform.cpp, preferences.cpp, tpr.cpp, tpr.h: Removed unused
	  Q3CString instanceName; in debugPause and debugReset.  Remove unused
	  #include <Q3CString> in preferences.cpp.  Use QByteArray instead of
	  Q3CString in process_settings.  Convert remaining direct libticonv
	  calls to use TiconvTextCodec.

2007-02-27 19:16  kevinkofler

	* ktigcc.cpp, tpr.cpp, tpr.h: Add QTextCodec subclass wrapping
	  libticonv, start using it.

2007-02-27 17:45  kevinkofler

	* mainform.cpp, parsing.cpp, preferences.cpp: Use QString::split
	  method instead of deprecated static QStringList::split.  Don't try
	  to access QStringList elements which don't exist, as this triggers
	  an assert in Qt 4.

2007-02-27 16:05  kevinkofler

	* completion.cpp, mainform.cpp, parsing.cpp, preferences.cpp,
	  preferencesdlg.cpp, tpr.cpp: Make sure a QString is non-empty
	  before doing [0] on it, Qt 3 used to return QChar::null for
	  emptyQString[0], Qt 4 now hits an assert.

2007-02-27 15:39  kevinkofler

	* mainform.cpp, mainform.h, srcfilewin.cpp: Port KatePart
	  setConfigFlags and setTabWidth calls to the CommandInterface.

2007-02-26 14:26  kevinkofler

	* mainform.cpp, mainform.ui, srcfilewin.cpp, srcfilewin.ui: Remove
	  uses of action groups, also change deprecated fileMenu->changeItem
	  to fileNewMenu->actionMenu()->setIcon.  Fix preferred size setting.
	  Use QToolButton::setMenu and QToolButton::setPopupMode instead of
	  QToolButton::setPopup and QToolButton::setPopupDelay.

2007-02-26 13:15  kevinkofler

	* ktigcc.cpp, mainform.cpp, mainform.h, mainform.ui,
	  srcfilewin.cpp, srcfilewin.h, srcfilewin.ui: Port Q3MainWindow ->
	  QMainWindow, Q3ToolBar -> QToolBar, Q3DockWindow -> QDockWidget.

2007-02-26 12:15  kevinkofler

	* colorlistitem.h, completion.cpp, completion.h, errorlist.cpp,
	  ktigcc.h, mainform.cpp, newsdlg.cpp, parsing.h, preferences.cpp,
	  preferences.h, preferencesdlg.cpp, projectoptions.cpp,
	  selectcolors.cpp, srcfilewin.cpp, tpr.cpp, tpr.h: Convert
	  remaining old-style Qt header #includes and remove no longer used
	  #include <q3mimefactory.h>.

2007-02-26 11:56  kevinkofler

	* callbacks.cpp, colorlistitem.h, completion.cpp, completion.h,
	  customstyle.cpp, errorlist.cpp, functions.cpp, ktigcc.cpp,
	  ktigcc.h, mainform.cpp, newsdlg.cpp, parsing.cpp, parsing.h,
	  preferences.cpp, preferences.h, preferencesdlg.cpp,
	  programoptions.cpp, programoutput.cpp, projectoptions.cpp,
	  selectcolors.cpp, selectstyle.cpp, srcfile.h, srcfilewin.cpp,
	  toolprops.cpp, toolsdlg.cpp, tpr.cpp, tpr.h, wordlist.cpp: Run
	  convert-newq4headers.pl.

2007-02-26 10:27  kevinkofler

	* .cvsignore: Add qrc_icons.cpp to .cvsignore.

2007-02-26 10:16  kevinkofler

	* customstyle.ui, errorlist.ui, functions.ui, icons.qrc,
	  ktigcc.cpp, ktigcc.pro, mainform.cpp, mainform.ui, newsdlg.ui,
	  preferencesdlg.ui, programoptions.ui, programoutput.ui,
	  projectoptions.ui, selectcolors.ui, selectstyle.ui,
	  srcfilewin.cpp, srcfilewin.ui, toolprops.ui, toolsdlg.ui,
	  wordlist.ui: Switch from image collection to the new Qt 4
	  resource system.

2007-02-26 09:21  kevinkofler

	* ChangeLog, NEWS, ktigcc.cpp: Bump version to 1.80.

2007-02-26 09:13  kevinkofler

	* ktigcc.cpp: Use QSettings instead of hack to set Qt Assistant
	  page.

2007-02-26 08:20  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Crash fix: libkatepart has been
	  renamed to katepart.

2007-02-26 08:16  kevinkofler

	* mainform.cpp: Fix crash due to findFunctionsButton not being
	  found. Add FIXME for less hackish solution which requires the new
	  QToolBar.

2007-02-26 07:42  kevinkofler

	* ktigcc.pro: Add missing -lkde3support.

2007-02-26 07:40  kevinkofler

	* ktigcc.pro: Make sure the KDE 4 lib directory is found first.

2007-02-26 07:11  kevinkofler

	* toolprops.cpp: Don't use deprecated KUrl::fromPathOrUrl.

2007-02-26 07:07  kevinkofler

	* toolprops.cpp, toolprops.ui: Tool Properties build fixes:
	  KURLRequester -> KUrlRequester Change hardcoded 26 in mode property
	  for KUrlRequester to a flag set.  setKURL -> setUrl
	  KFileDialog::getOpenFileName now takes a KUrl as its first
	  parameter.

2007-02-26 06:57  kevinkofler

	* newsdlg.cpp: Fix newsdlg.cpp build: Remove ProxyModuleInfo
	  translation disabling hack which doesn't work anymore.  KRun::runURL
	  -> KRun::runUrl, add third parameter.

2007-02-26 06:47  kevinkofler

	* mainform.cpp: Fix build of mainform.cpp by replacing:
	  QApplication::eventLoop()->loopLevel() ->
	  QCoreApplication::loopLevel() QApplication::eventLoop()->enterLoop()
	  -> QCoreApplication::enter_loop()
	  QApplication::eventLoop()->exitLoop() ->
	  QCoreApplication::exit_loop() Fix (false) uninitialized variable
	  warning.

2007-02-26 06:38  kevinkofler

	* mainform.cpp: Comment out uses of non-existent
	  QActionGroup::setIcon and add FIXME comments.

2007-02-26 06:34  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Replace deprecated setIconSet with
	  setIcon.

2007-02-26 06:24  kevinkofler

	* mainform.cpp: More compile fixes for new APIs: Add missing
	  #include <kconfiggroup.h>.  QString::count()>1 ->
	  QString::contains()>1 KRun::runURL -> KRun::runUrl, also change 1st
	  parameter from QString to KUrl and add this (QWidget *) as 3rd
	  parameter KMacroExpander now takes a QHash and not a QMap

	  Also remove a use of the deprecated KUrl::fromPathOrUrl.

2007-02-26 06:11  kevinkofler

	* mainform.h: Update prototype of openHeader.

2007-02-26 06:09  kevinkofler

	* mainform.cpp: Fix more errors made during highlighting code
	  changes.

2007-02-26 06:04  kevinkofler

	* mainform.cpp: Update smart cursor handling for new KatePart
	  interface: KTextEditor::Cursor -> KTextEditor::SmartCursor
	  KTextEditor::CursorInterface::createCursor ->
	  KTextEditor::SmartInterface::newSmartCursor
	  KTextEditor::Cursor::position(unsigned*,unsigned*) ->
	  position(int&,int&) Don't convert SmartCursor->(int,int)->Cursor,
	  pass the SmartCursor directly.

2007-02-26 05:49  kevinkofler

	* mainform.cpp: Change several variables from unsigned to (signed)
	  int to match Qt/KDE 4 APIs.

2007-02-26 05:31  kevinkofler

	* mainform.cpp: Fix errors made during highlighting code changes.

2007-02-26 05:24  kevinkofler

	* programoutput.ui: Fix KTextBrowser properties for KDE 3.80.3.

2007-02-26 04:14  kevinkofler

	* mainform.cpp: Make file extension tables static const: const
	  because Qt 4 requires it (can't add a non-const char * to a QString
	  without a cast anymore) and static for efficiency.

2007-02-26 03:57  kevinkofler

	* ktigcc.pro, mainform.cpp, mainform.h: Port TiEmu interfacing code
	  from DCOP to D-Bus.

2007-02-26 01:00  kevinkofler

	* mainform.cpp: Fix stray virtual keywords.

2007-02-26 00:58  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Change parameters of
	  KReplaceWithSelection(S)::setSelection from unsigned to int.

2007-02-26 00:53  kevinkofler

	* mainform.cpp: Fix DNDListView hack.

2007-02-26 00:45  kevinkofler

	* colorlistitem.h, preferencesdlg.cpp, wordlist.ui: Fix build of
	  preferencesdlg.cpp:
	  * klistbox.h -> k3listbox.h
	  * adjust colorlistitem.h for new QStyle API
	  * wordlist.ui: Remove|Add -> KEditListBox::Remove|KEditListBox::Add
	  * Qt::ExactMatch -> Q3ListBox::ExactMatch
	  * KFileDialog::getExistingDirectory now takes a KUrl as its first
	  parameter.

2007-02-25 23:57  kevinkofler

	* programoptions.cpp: Fix programoptions.cpp build:
	  QToolTip::textFor(widget) is now widget->toolTip().

2007-02-25 23:53  kevinkofler

	* projectoptions.cpp: Fix projectoptions.cpp build: getOpenFileName
	  now takes a KUrl as its first parameter.

2007-02-25 23:49  kevinkofler

	* mainform.cpp, srcfilewin.cpp: KReplace::replaceNextDialog() now
	  returns a KDialog *, not a KDialogBase * (which no longer exists),
	  adjust findReplace.  Port to new KatePart selection API:
	  document()->setSelection(r1,c1,r2,c2) ->
	  setSelection(KTextEditor::Range(r1,c1,r2,c2))
	  document()->selStartLine(), document()->selStartCol() ->
	  selectionRange().start().position(line,col)
	  document()->selEndLine(), document()->selEndCol() ->
	  selectionRange().end().position(line,col)

	  CURRENT_VIEW->document()->selStartLine()!=CURRENT_VIEW->document()->selEndLine() -> !CURRENT_VIEW->selectionRange().onSingleLine()

2007-02-25 09:51  kevinkofler

	* mainform.cpp: Copy missing comment from srcfilewin.cpp.

2007-02-25 09:49  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use KXMLGUIClient::action and
	  QAction::trigger to trigger actions, as the direct methods have been
	  removed.  Replace CURRENT_VIEW->document()->removeSelectedText()
	  with CURRENT_VIEW->removeSelectionText() to match new API.

2007-02-25 09:18  kevinkofler

	* mainform.cpp, srcfile.h, srcfilewin.cpp: Fix 4 missed instances
	  of setCursorPositionReal( to setCursorPosition(KTextEditor::Cursor(.
	  Change variables used during search&replace from unsigned to signed
	  to match new KatePart API. Likewise in findOpenFileAtCursor to match
	  Qt 4 API.  Replace uses of cursorLine and cursorColumnReal with
	  cursorPosition().position(line,col).  Fix comparison of QChar with
	  string literal instead of character literal in findOpenFileAtCursor.

2007-02-25 08:50  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use KTextEditor::Editor (new)
	  instead of KTextEditor::ConfigInterfaceExt (old, no longer
	  available) for config pages.

2007-02-25 08:36  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Update arguments to KatePart
	  functions:
	  * removeText now operates on a Range
	  * insertText now operates on a Cursor

2007-02-25 08:29  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Replace:
	  KTextEditor::EditInterfaceExt::editBegin ->
	  KTextEditor::Document::startEditing
	  KTextEditor::EditInterfaceExt::editEnd ->
	  KTextEditor::Document::endEditing

2007-02-25 08:22  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Port to new KatePart interface:
	  installPopup -> setContextMenu setCursorPositionReal(r,c) ->
	  setCursorPosition(KTextEditor::Cursor(r,c)) numLines -> lines
	  textLine -> line

2007-02-25 08:10  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Comment out calls to some functions
	  not in the KatePart API anymore.

2007-02-25 07:21  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Use setConfigValue instead of
	  setDynWordWrap.

2007-02-25 07:06  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Don't use keyEnter (KatePart),
	  which has been removed.  Port syntax highlighting setting to the new
	  interfaces.

2007-02-25 06:19  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Replace no longer existing
	  currentWord KatePart function with custom code.

2007-02-23 22:09  kevinkofler

	* ktigcc.pro: Fix test for $KDEPREFIX/include/kde (qmake exists
	  tests are case-insensitive).

2007-02-23 21:39  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Update icon loading code for Qt 4
	  changes.

2007-02-23 21:22  kevinkofler

	* mainform.cpp, srcfilewin.cpp: Port KateDocument::undoCount(),
	  redoCount(), hasSelection() to new KatePart interfaces.

2007-02-23 19:41  kevinkofler

	* mainform.cpp, srcfile.h, srcfilewin.cpp: Start porting to new
	  KatePart API.

2007-02-23 18:55  kevinkofler

	* assistant.cpp[DEAD], assistant.h[DEAD], ktigcc.h, ktigcc.pro,
	  mainform.cpp, programoptions.cpp, srcfilewin.cpp: Drop custom
	  AssistantClient, as it uses deprecated (KProcIO) and removed
	  (KExtendedSocket) KDE classes, and the workaround shouldn't be
	  needed anymore in Qt/KDE 4.

2007-02-23 13:02  kevinkofler

	* completion.cpp: Disable completion for now to get completion.cpp
	  to compile.

2007-02-22 21:13  kevinkofler

	* ChangeLog, parsing.cpp, preferences.cpp, srcfile.h: Remove junk
	  "Added by qt3to4" comments.

2007-02-22 18:46  kevinkofler

	* completion.cpp: Port most of completion.cpp to the new KatePart
	  API.

2007-02-22 17:50  kevinkofler

	* errorlist.cpp, errorlist.ui.h[DEAD], functions.cpp,
	  functions.ui.h[DEAD], ktigcc.pro, mainform.cpp,
	  mainform.ui.h[DEAD], newsdlg.cpp, newsdlg.ui.h[DEAD],
	  preferencesdlg.cpp, preferencesdlg.ui.h[DEAD],
	  programoptions.cpp, programoptions.ui.h[DEAD],
	  projectoptions.cpp, projectoptions.ui.h[DEAD], selectcolors.cpp,
	  selectcolors.ui.h[DEAD], selectstyle.cpp, selectstyle.ui.h[DEAD],
	  srcfilewin.cpp, srcfilewin.ui.h[DEAD], toolprops.cpp,
	  toolprops.ui.h[DEAD], toolsdlg.cpp, toolsdlg.ui.h[DEAD]: Move
	  contents of *.ui.h to *.cpp.

2007-02-22 17:26  kevinkofler

	* completion.h, parsing.cpp: Fix build of parsing.cpp (new KatePart
	  interfaces).

2007-02-22 16:58  kevinkofler

	* callbacks.cpp: Fix build of callbacks.cpp: missed
	  QApplication::eventLoop()->processEvents =>
	  QCoreApplication::processEvents replacement, KProgressDialog API
	  changes.

2007-02-22 16:48  kevinkofler

	* ktigcc.pro, tiemu.h, tiemu_dbus.xml, tiemu_stub.cpp,
	  tiemu_stub.h: Replace TiEmu DCOP stub with D-Bus proxy.

2007-02-22 16:21  kevinkofler

	* tpr.cpp: Add missing #include <kurl.h>.

2007-02-22 16:14  kevinkofler

	* assistant.cpp, callbacks.cpp, mainform.ui.h, parsing.cpp,
	  preferencesdlg.ui.h, tpr.cpp: Replace
	  QApplication::eventLoop()->processEvents with
	  QCoreApplication::processEvents().

2007-02-22 16:02  kevinkofler

	* preferences.cpp, preferencesdlg.ui: Fix compilation of
	  preferences.cpp.

2007-02-22 15:39  kevinkofler

	* assistant.h, colorlistitem.h, customstyle.h, errorlist.h,
	  functions.h, ktigcc.h, mainform.h, newsdlg.h, preferences.h,
	  preferencesdlg.h, programoptions.h, programoutput.h,
	  projectoptions.h, selectcolors.h, selectstyle.h, srcfilewin.h,
	  toolprops.h, toolsdlg.h, wordlist.h: Consistently use #pragma
	  once as the include guard.

2007-02-22 14:32  kevinkofler

	* customstyle.cpp, customstyle.h, customstyle.ui, errorlist.cpp,
	  errorlist.h, errorlist.ui, functions.cpp, functions.h,
	  functions.ui, ktigcc.pro, mainform.cpp, mainform.h, mainform.ui,
	  newsdlg.cpp, newsdlg.h, newsdlg.ui, preferencesdlg.cpp,
	  preferencesdlg.h, preferencesdlg.ui, programoptions.cpp,
	  programoptions.h, programoptions.ui, programoutput.cpp,
	  programoutput.h, programoutput.ui, projectoptions.cpp,
	  projectoptions.h, projectoptions.ui, selectcolors.cpp,
	  selectcolors.h, selectcolors.ui, selectstyle.cpp, selectstyle.h,
	  selectstyle.ui, srcfilewin.cpp, srcfilewin.h, srcfilewin.ui,
	  toolprops.cpp, toolprops.h, toolprops.ui, toolsdlg.cpp,
	  toolsdlg.h, toolsdlg.ui, wordlist.cpp, wordlist.h, wordlist.ui:
	  Convert .ui files to Qt 4 format:
	  1. run this script: #!/bin/sh uic3 $1.ui >$1.h uic3 -impl $1.h $1.ui
	  >$1.cpp uic3 -convert $1.ui >$1_4.ui mv -f $1_4.ui $1.ui
	  2. replace generated UI in $1.h with #include "ui_$1.h"
	  3. update project file:
	  * change FORMS3 back to FORMS
	  * remove uic3 from CONFIG
	  * add $1.cpp to SOURCES
	  * add $1.h and (temporarily) $1.ui.h to HEADERS

2007-02-22 07:07  kevinkofler

	* newsdlg.ui, preferencesdlg.ui, selectcolors.ui, toolsdlg.ui:
	  KListView->K3ListView, KListBox->K3ListBox

2007-02-22 06:58  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui, mainform.ui.h: First round of
	  compile fixes.

2007-02-22 06:36  kevinkofler

	* .project: Update Eclipse project name.

2007-02-22 06:24  kevinkofler

	* errorlist.ui, mainform.ui: Use K3ListView instead of the removed
	  KListView for now.

2007-02-22 06:15  kevinkofler

	* completion.cpp, ktigcc.cpp, ktigcc.pro, mainform.ui.h,
	  newsdlg.ui.h, parsing.cpp, preferences.cpp, preferencesdlg.ui.h,
	  srcfilewin.ui.h, toolprops.ui.h, toolsdlg.ui.h, tpr.cpp, tpr.h:
	  Run adapt-to-kde4-api.pl.

2007-02-22 06:03  kevinkofler

	* assistant.cpp, colorlistitem.h, completion.cpp, completion.h,
	  errorlist.ui.h, ktigcc.cpp, ktigcc.h, ktigcc.pro, mainform.ui.h,
	  newsdlg.ui.h, parsing.cpp, parsing.h, preferences.cpp,
	  preferences.h, preferencesdlg.ui.h, programoptions.ui.h,
	  projectoptions.ui.h, srcfile.h, srcfilewin.ui.h, tiemu_stub.cpp,
	  tiemu_stub.h, toolsdlg.ui.h, tpr.cpp, tpr.h: Run qt3to4.

2007-02-22 05:57  kevinkofler

	* configure, ktigcc.pro: First step towards moving to KDE 4.

2007-01-29 10:26  kevinkofler

	* NEWS, mainform.ui.h, srcfilewin.ui.h: Fix stray indentation at
	  the end of the line when autoclosing a curly brace as ENTER is
	  pressed.

2007-01-29 10:02  kevinkofler

	* fedora/ktigcc.spec, ktigcc.cpp: Bump version to 1.07. Bump
	  copyright years.

2006-12-03 08:38  kevinkofler

	* ChangeLog, NEWS, ktigcc.pro: Add a full changelog (generated from
	  CVS logs).

2006-12-01 00:14  kevinkofler

	* .cdtproject, .cvsignore, .project,
	  .settings/org.eclipse.cdt.core.prefs,
	  .settings/org.eclipse.core.resources.prefs,
	  .settings/org.eclipse.core.runtime.prefs: Import Eclipse CDT
	  project.

2006-11-30 21:52  kevinkofler

	* .cvsignore: Add .tm_project2.cache to .cvsignore, sort entries
	  per tool creating them.

2006-11-30 21:48  kevinkofler

	* .cvsignore: Add .cvsignore file.

2006-11-25 17:39  kevinkofler

	* INSTALL: Add ktigcc-completion-data*.noarch.rpm to the rpm lines.

2006-11-25 17:36  kevinkofler

	* INSTALL: Update INSTALL section about installing from RPMs.

2006-11-25 17:22  kevinkofler

	* NEWS, ktigcc.cpp: Disable debugging and informational messages
	  from libti*.

2006-11-25 17:07  kevinkofler

	* ktigcc.cpp, fedora/ktigcc.spec: Bump version to 1.06.

2006-11-23 02:29  kevinkofler

	* NEWS, mainform.ui.h: When saving a project for the first time, if
	  it is still named "Project1", set a name based on the .tpr file name
	  (as in TIGCC IDE).

2006-11-21 22:55  kevinkofler

	* NEWS, mainform.ui.h: Ctrl+Tab/Ctrl+G now skips the project root
	  and the categories.

2006-11-21 21:35  kevinkofler

	* NEWS, preferences.cpp: Add tas to default Integer Arithmetic
	  instructions.  Add xdef, globl, altmacro and noaltmacro to default
	  GNU as directives.

2006-11-21 18:54  kevinkofler

	* preferences.cpp: Fix typo in comment.

2006-11-21 18:37  kevinkofler

	* NEWS, tpr.cpp: Fix wrong length computations when writing to a
	  file in UTF-8 or other multibyte charsets.

2006-11-16 10:28  kevinkofler

	* NEWS, programoptions.ui: Fix missing layout in the Operating
	  System tab of the Program Options dialog.

2006-10-24 17:51  kevinkofler

	* KTIGCC.prj[DEAD], NEWS, ktigcc.pro: Actually install Anjuta 2
	  project. Remove Anjuta 1 project.

2006-10-24 17:25  kevinkofler

	* NEWS, ktigcc.cpp, fedora/ktigcc.spec: Bump version to 1.05.  RPM
	  specfile: Require qt-devel instead of /usr/bin/assistant to fix
	  installation on FC6.

2006-10-24 17:17  kevinkofler

	* KTIGCC.anjuta: Add Anjuta 2 project.

2006-10-08 03:54  kevinkofler

	* NEWS, ktigcc.pro: Add missing -lkdeui to link line (needed for OS
	  X).

2006-09-25 12:26  kevinkofler

	* NEWS, ktigcc.cpp, fedora/ktigcc.spec: Bump version to 1.04.

2006-09-23 05:46  kevinkofler

	* NEWS, ktigcc.pro: Link all required KDE libraries explicitly
	  instead of relying on the linker pulling them in (which the OS X
	  linker doesn't do).  Use the .ui, .moc and .obj subdirectories on
	  all platforms.  Don't try to set an rpath on OS X, it is neither
	  supported nor needed.

2006-09-23 04:59  kevinkofler

	* tpr.cpp: Use explicit memset to zero the buffer because the C++
	  way doesn't seem to work on OS X.

2006-09-17 06:56  kevinkofler

	* NEWS, ktigcc.pro: Add workaround for rpmbuild 4.4.2 with tar
	  1.15.91 to make rpm target.

2006-09-17 06:05  kevinkofler

	* NEWS, completion.cpp, ktigcc.cpp, fedora/ktigcc.spec: Bump
	  version to 1.03.  Don't show symbol info for reserved keywords even
	  in the case of an exact match (fixes unhelpful prototype help for
	  "asm").

2006-09-05 08:08  kevinkofler

	* NEWS, tpr.cpp: Fix bug in source file splitting causing the float
	  in x>=0. to get split.

2006-09-05 07:58  kevinkofler

	* NEWS, tpr.cpp: Fix detection of "??=" in source file splitting.

2006-09-05 06:13  kevinkofler

	* projectoptions.ui: Revert unasked-for geometry change.

2006-09-05 06:11  kevinkofler

	* NEWS, projectoptions.ui: Fix the Project Options dialog not
	  reacting correctly to changing the target from a regular program to
	  another target or the other way round.

2006-09-05 06:03  kevinkofler

	* NEWS, mainform.ui.h: Fix inverted logic bug causing the Debug
	  menu and toolbar buttons to get hidden during File/New/Project.

2006-09-04 03:41  kevinkofler

	* ktigcc.cpp, fedora/ktigcc.spec: Bump version to 1.02.

2006-08-21 12:50  kevinkofler

	* fedora/ktigcc.spec: Actually bump specfile version.

2006-08-21 12:48  kevinkofler

	* NEWS, ktigcc.cpp, ktigcc.h, mainform.ui.h, srcfilewin.ui.h,
	  fedora/ktigcc.spec: Bump version to 1.01.  Find and Replace
	  dialogs now remember history (but only for the current KTIGCC
	  session).

2006-08-20 06:14  kevinkofler

	* NEWS: Update NEWS for 1.00.

2006-08-20 02:38  kevinkofler

	* fedora/ktigcc.spec: RPM specfile: Drop date from version and bump
	  to 1.00.  Don't use macros to define nvr.

2006-08-18 04:06  kevinkofler

	* NEWS, fedora/ktigcc.spec: RPM specfile: Install both 16x16 and
	  32x32 versions of the icon.  Associate *.tpr with KTIGCC (in both
	  KDE and GNOME).  Don't require desktop-file-utils for post and
	  postun (not needed in FC5+).

2006-08-17 18:55  kevinkofler

	* KTIGCC.prj, NEWS, mainform.ui.h, tpr.cpp, tpr.h: Fix moving files
	  across file systems after compilation not working.

2006-08-17 18:22  kevinkofler

	* NEWS, ktigcc.pro: Add NEWS file containing the history
	  information previously published in the changelog snippets on
	  SourceForge.

2006-08-14 16:19  kevinkofler

	* preferencesdlg.ui.h: Remember the directory used for include/c
	  during completion information parsing.

2006-08-14 14:44  kevinkofler

	* completion.cpp: Implement approximate matching for prototype
	  hints.

2006-08-14 13:43  kevinkofler

	* mainform.ui.h: Remove unneeded duplicate lines.

2006-08-14 13:36  kevinkofler

	* mainform.ui, mainform.ui.h: Allow using F8 instead of Ctrl+F9.

2006-08-14 12:07  kevinkofler

	* INSTALL: Add short (2 sentences) installation instructions for
	  ktigcc-completion-data.

2006-08-14 12:04  kevinkofler

	* INSTALL: Mention ktigcc-completion-data in INSTALL.

2006-08-14 11:59  kevinkofler

	* completion.cpp: Make sure we find the correct popup in my popup
	  detection hack.

2006-08-14 11:50  kevinkofler

	* completion.cpp: Allow whitespace between the identifier and the
	  parenthesis.

2006-08-14 10:47  kevinkofler

	* completion.cpp, completion.h, mainform.ui.h, srcfilewin.ui.h:
	  Implement argument hint popups.

2006-08-13 17:18  kevinkofler

	* fedora/ktigcc.spec: Require ktigcc-completion-data in the RPM
	  specfile.

2006-08-13 17:11  kevinkofler

	* completion.cpp: Warn if no TIGCCLIB completion data is available
	  and offer download link.

2006-08-13 15:45  kevinkofler

	* completion.cpp: Remove comments from all the definition, not just
	  the left side. There's no room for them.

2006-08-13 15:31  kevinkofler

	* completion.cpp: Fix parsing of enums from .hsf files.

2006-08-13 14:54  kevinkofler

	* completion.cpp: Remove duplicate (i.e. all fields match)
	  completion entries when sorting the list for display.

2006-08-13 14:47  kevinkofler

	* completion.cpp: Follow .ref links during .hsf parsing.

2006-08-13 14:27  kevinkofler

	* completion.cpp: Handle empty "[Description]" lines.

2006-08-13 13:45  kevinkofler

	* assistant.cpp: Try sending SIGTERM (KProcess::kill()) before
	  resorting to SIGKILL (KProcess::~KProcess()).

2006-08-13 13:21  kevinkofler

	* INSTALL, KTIGCC.prj, assistant.cpp, assistant.h, ktigcc.h,
	  ktigcc.pro, mainform.ui.h, programoptions.ui.h, srcfilewin.ui.h:
	  Implement my own AssistantClient using KDE classes (KProcIO,
	  KExtendedSocket) because QAssistantClient uses QProcess which
	  conflicts with KProcess (fixes lockups while waiting for a process
	  to complete).  This also means Debian users no longer need
	  qt3-apps-dev to build KTIGCC.

2006-08-13 09:15  kevinkofler

	* completion.cpp, parsing.cpp, parsing.h: Parse .hsf files for
	  system header completion info.

2006-08-13 08:29  kevinkofler

	* tpr.cpp: Fix file descriptor leak in loadFileText.

2006-08-13 06:35  kevinkofler

	* mainform.ui.h: Enable "Find symbol declaration" and completion
	  for Quill files, to be consistent with external source files. (They
	  are useful mainly in the C section these files can have.)

2006-08-13 06:29  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: The completion parser expects to
	  operate on a C (or Quill) file, so ignore Ctrl+Space/Ctrl+M for
	  assembly files.

2006-08-13 05:08  kevinkofler

	* completion.cpp, completion.h: Intercept the completion popup
	  being closed without Kate telling us anything.

2006-08-13 03:55  kevinkofler

	* mainform.ui: Revert an unasked-for property change Qt Designer
	  took on its own to make.

2006-08-13 03:39  kevinkofler

	* completion.cpp, completion.h, mainform.ui, mainform.ui.h,
	  srcfilewin.ui, srcfilewin.ui.h: Implement completion on
	  Ctrl+Space (or Ctrl+M).

2006-08-13 02:01  kevinkofler

	* mainform.ui.h: Oops, Ctrl+E is already taken, use Ctrl+G instead.

2006-08-13 01:05  kevinkofler

	* mainform.ui.h: Implement Ctrl+Tab/Ctrl+E (switches to the next
	  file, there are 2 combos because Ctrl+Tab is taken by default under
	  KDE) and Shift+Ctrl+Alt+F9 (undocumented, switches link target, or
	  would if it worked - on Linux/X11, way too many key combos are
	  reserved by the system).

2006-08-12 23:55  kevinkofler

	* preferencesdlg.ui: Add keyboard accelerators to
	  Preferences/Coding.

2006-08-12 03:19  kevinkofler

	* preferencesdlg.ui.h: Set wait cursor while generating completion
	  info from system headers so the user knows KTIGCC is busy.

2006-08-12 02:45  kevinkofler

	* completion.cpp, completion.h, mainform.ui.h, parsing.cpp,
	  preferencesdlg.ui.h: Implement loading/saving system header
	  completion info.  Fix asmspec removal regex.  Remove spaces before ,
	  and ) in signatures produced by ctags.

2006-08-12 01:18  kevinkofler

	* completion.cpp: Apply the same recursion fixes (recurse over
	  system headers, avoid infinite recursion) as in findSymbolInFile in
	  completionEntriesForFile.

2006-08-12 01:05  kevinkofler

	* completion.cpp, completion.h, parsing.cpp, preferencesdlg.ui,
	  preferencesdlg.ui.h: Generate completion info from system headers
	  (not help system sources yet, also no loading/saving yet).

2006-08-11 17:43  kevinkofler

	* mainform.ui.h: Fix warnings from recent g++ about -1 being passed
	  where an unsigned number is expected (reported by Romain Liévin).

2006-08-11 00:31  kevinkofler

	* mainform.ui.h, preferencesdlg.ui.h: Fix "New folder" not always
	  selecting the folder for renaming (another instance of the KListView
	  bug already worked around in the Preferences dialog, clean that
	  workaround up a bit while I am at it).

2006-08-11 00:19  kevinkofler

	* parsing.cpp: Prepare parseFileCompletion for system header
	  parsing.

2006-08-11 00:02  kevinkofler

	* completion.h, mainform.ui, mainform.ui.h, srcfilewin.ui,
	  srcfilewin.ui.h: Implement "Find symbol declaration" (currently
	  does not search system headers).

2006-08-10 23:15  kevinkofler

	* mainform.ui, mainform.ui.h: Implement openHeader helper function
	  for "Find symbol declaration".

2006-08-10 22:45  kevinkofler

	* completion.cpp, completion.h: Implement recursive routines to
	  find a symbol and to collect completion information in a file and
	  all the headers it includes.

2006-08-10 18:51  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Mark completion data
	  dirty if the file was changed.

2006-08-10 18:26  kevinkofler

	* completion.h, ktigcc.h, mainform.ui.h, parsing.cpp,
	  srcfilewin.ui.h: Clean up setTextSafe (needed for the coming
	  change to invalidate completion info on changes).

2006-08-10 18:00  kevinkofler

	* completion.cpp, completion.h, mainform.ui, mainform.ui.h,
	  parsing.cpp, parsing.h: Implement function to parse a source file
	  for completion info.  Implement function to get a file's contents
	  given its in-project path.

2006-08-09 09:48  kevinkofler

	* KTIGCC.prj, completion.cpp, completion.h, ktigcc.pro,
	  mainform.ui.h, srcfilewin.ui.h: Implement template popups
	  (Ctrl+J).

2006-08-09 07:09  kevinkofler

	* preferences.cpp: Change (int)0 to 0 and (int)0x1000020 to
	  0x1000020u (because it is actually unsigned). Should be purely
	  cosmetical.

2006-08-09 07:06  kevinkofler

	* ktigcc.cpp, preferences.cpp: Tab now reliably inserts a tab. Use
	  Ctrl+I to indent the selection. (Also set other Kate defaults to
	  match TIGCC IDE more closely.)

2006-08-09 05:49  kevinkofler

	* preferences.cpp: Enable auto-indent (=> syntax highlighting
	  description version 1.01).  Regenerate syntax highlighting
	  descriptions if they are missing or out of date.

2006-08-09 03:48  kevinkofler

	* preferences.cpp, preferences.h, preferencesdlg.ui,
	  preferencesdlg.ui.h: Implement customizable list of templates.
	  Can't actually be used yet though.

2006-08-07 09:25  kevinkofler

	* preferences.cpp: Fix missing mkdir_multi.

2006-08-07 03:51  kevinkofler

	* fedora/ktigcc.spec: Bump RPM version from 0.0.date (alpha) to
	  0.80.date (beta).

2006-08-07 03:04  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui: Temporarily hide
	  unimplemented "Find symbol declaration" so I can release a beta
	  without non-working menu items.

2006-08-07 02:58  kevinkofler

	* srcfilewin.ui: Where did that geometry property for the
	  SourceFileWindow toolbar suddenly come from? Remove it again.

2006-08-07 02:53  kevinkofler

	* mainform.ui.h, srcfilewin.ui, srcfilewin.ui.h: Prompt for saving
	  out-of-project source files before exiting.

2006-08-07 00:37  kevinkofler

	* KTIGCC.prj, errorlist.ui, errorlist.ui.h, mainform.ui,
	  mainform.ui.h: Fix Ctrl+C/Ctrl+Ins conflict between main window
	  and error list. (Now works as expected: They apply to the error
	  window if it has the focus, and the main window otherwise.)

2006-08-06 22:11  kevinkofler

	* errorlist.ui, mainform.ui, mainform.ui.h, preferencesdlg.ui,
	  preferencesdlg.ui.h: Don't hardcode background color of
	  KListViews to white, set alternateColor to QColor() instead.

2006-08-06 21:27  kevinkofler

	* preferences.cpp: "Switchable" only switches to other styles with
	  the same ending.

2006-08-06 20:56  kevinkofler

	* preferences.cpp: Delete spaces at end of line.

2006-08-06 20:44  kevinkofler

	* callbacks.cpp: Fix typo. (Doesn't really matter in practice.)

2006-08-06 08:40  kevinkofler

	* customstyle.ui, preferencesdlg.ui.h: Delete unused "newSlot()"
	  slot.  Set parent of SelectStyle dialog in
	  editDialog_styleButton_clicked() to editDialog.

2006-08-06 08:33  kevinkofler

	* customstyle.ui, preferencesdlg.ui, preferencesdlg.ui.h: Finish
	  syntax highlighting customization.

2006-08-06 06:23  kevinkofler

	* preferencesdlg.ui.h: Implement "New Style" and "New List" buttons
	  in syntax highlighting customization.

2006-08-06 04:33  kevinkofler

	* KTIGCC.prj, colorlistitem.h, ktigcc.pro, preferencesdlg.ui.h,
	  selectcolors.ui, selectcolors.ui.h: Implement setting colors of
	  parentheses.

2006-08-06 03:31  kevinkofler

	* preferencesdlg.ui, preferencesdlg.ui.h: Use clicked() instead of
	  pressed() (which does not do what you may think it does), obviating
	  the need for the setDown(FALSE) hack.

2006-08-06 03:23  kevinkofler

	* KTIGCC.prj, preferences.cpp, preferencesdlg.ui.h,
	  selectcolors.ui, selectcolors.ui.h, selectstyle.ui,
	  selectstyle.ui.h: Fix spelling of "strikeOut" in generated XML
	  files (Kate wants the O capitalized).  Implement style and color
	  setting for numbers and symbols and style setting for parentheses.

2006-08-06 02:22  kevinkofler

	* mainform.ui.h: Remove redundant braces again.

2006-08-06 02:20  kevinkofler

	* mainform.ui.h: Add another crude hack to fix reloading the
	  highlighting in the case where there is exactly one Kate view open.

2006-08-06 01:00  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: Revise hack to update syntax
	  highlighting settings in filePreferences.

2006-08-06 00:25  kevinkofler

	* preferences.cpp, preferences.h, preferencesdlg.ui.h: Implement
	  syntax highlighting reset.

2006-08-05 22:32  kevinkofler

	* mainform.ui.h, preferences.h, preferencesdlg.ui,
	  preferencesdlg.ui.h, srcfile.h, srcfilewin.ui.h: Allow disabling
	  syntax highlighting from the preferences.

2006-08-05 09:42  kevinkofler

	* mainform.ui.h, preferences.cpp, preferences.h, preferencesdlg.ui,
	  preferencesdlg.ui.h, srcfilewin.ui.h: Start implementing syntax
	  highlighting preferences:
	  * language drop down
	  * tree view, renaming, Delete key
	  * re-highlight all Kate views after changing the preferences

2006-08-05 02:14  kevinkofler

	* KTIGCC.prj, customstyle.ui, ktigcc.pro, preferencesdlg.ui,
	  selectcolors.ui, selectstyle.ui, wordlist.ui: Design dialogs for
	  syntax highlighting customization.

2006-08-04 22:49  kevinkofler

	* mainform.ui.h: Set the default project directory to
	  ~/tigcc-projects instead of $TIGCC/projects (which doesn't make much
	  sense for the usual case of a system-wide TIGCC install).

2006-08-04 07:26  kevinkofler

	* preferences.cpp: Add '#' to the additionalDeliminator (sic) list.

2006-08-04 03:24  kevinkofler

	* gnuasm68k.xml[DEAD], ktigcc.pro, masm68k.xml[DEAD],
	  fedora/ktigcc.spec: Remove no longer needed Kate ASM syntax
	  descriptions.

2006-08-04 03:19  kevinkofler

	* mainform.ui.h: Use the autogenerated syntax highlighting
	  descriptions instead of the C one from Kate resp. the ASM ones by
	  Spectras.  Don't allow opening out-of-project A68k or Quill source
	  files if support for A68k resp. Quill is not installed.

2006-08-04 03:01  kevinkofler

	* preferences.cpp: Change number detection so assembly numbers
	  (immediates, A68k hex numbers) get detected properly.

2006-08-04 02:13  kevinkofler

	* preferences.cpp: Generate itemDatas section, giving complete
	  syntax highlighting descriptions.

2006-08-04 01:38  kevinkofler

	* preferences.cpp: Special case space as ending,

2006-08-04 01:19  kevinkofler

	* preferences.cpp: Generate contexts for custom styles.

2006-08-04 00:35  kevinkofler

	* preferences.cpp: Generate contexts for parenthesis levels.

2006-08-04 00:09  kevinkofler

	* ktigcc.cpp, preferences.cpp: Remove Joey's old skeleton for an
	  XML syntax file generator, it was really broken beyond repair.
	  Start XML syntax file generator. The resulting files are not usable
	  yet.

2006-08-03 21:04  kevinkofler

	* preferences.cpp, preferences.h: Reorganize syntax preferences
	  code a bit to prepare for XML syntax description generation.
	  defaultSynHighlight is now exported and saves syntax preferences.

2006-08-03 03:52  kevinkofler

	* preferences.h: Replace tabs with spaces.

2006-08-03 03:49  kevinkofler

	* preferences.cpp, preferences.h: Added missing lineStartOnly flag.

2006-08-03 03:13  kevinkofler

	* preferences.cpp: Implement saving syntax highlighting settings.
	  Fix wrong separators in word lists.

2006-08-03 02:41  kevinkofler

	* preferences.cpp, preferences.h: Load syntax highlighting settings
	  from the config file.  Use QStringList instead of QString for the
	  word lists.

2006-08-03 00:15  kevinkofler

	* tpr.cpp: Properly handle calculator characters which use 2 UTF-16
	  codepoints during source file splitting.

2006-08-02 04:11  kevinkofler

	* preferences.cpp, preferences.h: Clean up use of data types in the
	  syntax highlighting setting structures.

2006-08-01 07:57  kevinkofler

	* mainform.ui.h: Only save external source files in fileSave if
	  they have been modified.

2006-08-01 07:47  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: Don't clear modified flags on
	  "Discard" in save prompts. If the Open command is actually used to
	  open an external file, not a project, "Discard" is often used just
	  to get rid of the save prompts, and ending up with the file not
	  getting saved later can be irritating.

2006-07-31 21:53  kevinkofler

	* tpr.cpp: Unconditionally add the newline to the temp source file
	  when compiling, don't do it just for C files. (Headers and GNU
	  assembly files need the newline just as well, and TIGCC IDE filters
	  the warning afterwards for header files.)

2006-07-31 08:13  kevinkofler

	* mainform.ui.h: Implement toolsMenu_activated.

2006-07-31 07:25  kevinkofler

	* mainform.ui, mainform.ui.h: Update Tools menu.

2006-07-31 06:00  kevinkofler

	* toolprops.ui, toolprops.ui.h: Implement browse button for
	  ToolProperties.

2006-07-31 05:53  kevinkofler

	* mainform.ui.h: Remember tools across executions.

2006-07-31 05:34  kevinkofler

	* toolprops.ui, toolprops.ui.h, toolsdlg.ui.h: Implement
	  ToolProperties.

2006-07-31 04:50  kevinkofler

	* KTIGCC.prj, ktigcc.h, mainform.ui.h, toolprops.ui,
	  toolprops.ui.h, toolsdlg.ui, toolsdlg.ui.h: Implement ToolsDialog
	  (but needs ToolProperties to be of use).

2006-07-31 01:20  kevinkofler

	* KTIGCC.prj, ktigcc.pro, toolprops.ui, toolsdlg.ui: Design
	  Configure Tools and Tool Properties dialogs.

2006-07-30 07:25  kevinkofler

	* mainform.ui.h, tpr.cpp: Use --outputbin-main-only (ld-tigcc
	  switch) instead of linking twice for compressed programs with an
	  external data file. TIGCC 0.96 Beta 7 r1 required.

2006-07-30 07:07  kevinkofler

	* ktigcc.cpp, fedora/ktigcc.spec: Bump TIGCC requirement in the RPM
	  specfile.  Update TIGCC copyright date.

2006-07-28 12:03  kevinkofler

	* mainform.ui.h: Convert file name passed on the command line to an
	  absolute path.

2006-07-27 23:33  kevinkofler

	* mainform.ui.h: Fix saving a new project mishandling files already
	  having an absolute path.

2006-07-26 07:33  kevinkofler

	* newsdlg.ui.h: Fix proxy server page title getting translated
	  while everything else doesn't.  Detect missing proxy configuration
	  module (no kdebase) and show error.

2006-07-26 06:17  kevinkofler

	* images/ktigcc.png: Set binary flag on ktigcc.png

2006-07-26 06:13  kevinkofler

	* KTIGCC.prj, ktigcc.pro, mainform.ui.h, srcfilewin.ui.h,
	  fedora/ktigcc.spec, images/ktigcc.png: Add small version of TIGCC
	  IDE icon. Use it for the .desktop file in the RPM and for the task
	  bar.

2006-07-26 04:04  kevinkofler

	* mainform.ui.h, newsdlg.ui.h, preferences.cpp: Save modified
	  preferences to file right away.  Always treat newsheadlines.txt as
	  UTF-8.

2006-07-26 03:42  kevinkofler

	* newsdlg.ui.h: Finish Help/News.

2006-07-26 02:01  kevinkofler

	* mainform.ui.h, newsdlg.ui, newsdlg.ui.h: Implement "Download
	  headlines on startup" preference, News dialog Refresh and Visit
	  buttons. (But no actual news downloading yet.)

2006-07-26 01:42  kevinkofler

	* INSTALL, KTIGCC.prj, ktigcc.pro, mainform.ui.h, newsdlg.ui,
	  newsdlg.ui.h, fedora/ktigcc.spec: Start implementing Help/News.
	  kdebase required to display proxy settings.

2006-07-25 09:48  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Implement Find/Open
	  file at cursor.

2006-07-25 08:24  kevinkofler

	* mainform.ui.h: Enable Find/Open file at cursor and Find/Find
	  symbol declaration for editable files (not implemented yet though).

2006-07-25 08:12  kevinkofler

	* ktigcc.h, mainform.ui.h, preferences.cpp, preferencesdlg.ui.h:
	  Cache result of ticables_is_usb_enabled so the check isn't run over
	  and over again.

2006-07-23 21:14  kevinkofler

	* mainform.ui.h: Use the new ticalcs_probe function (simplifies
	  probing code).

2006-07-23 20:55  kevinkofler

	* callbacks.cpp, mainform.ui.h: Update callback code for new
	  libticalcs2 progress report interface.  Increase timeout for links
	  with real calculators.

2006-07-23 20:39  kevinkofler

	* ktigcc.pro: Require libticalcs2 0.2.4 (from 20060723 snapshot).

2006-07-23 20:19  kevinkofler

	* mainform.ui.h: Remove arbitrary waits (no longer needed with
	  current TiEmu).

2006-07-23 20:06  kevinkofler

	* fedora/ktigcc.spec: RPM specfile: Use libti*-devel instead of
	  libti* in BuildRequires.  BuildRequire libti* 20060723.

2006-07-23 20:02  kevinkofler

	* ktigcc.pro, preferences.cpp, preferencesdlg.ui.h: Require latest
	  libticables2 (0.1.3 from 20060723 snapshot), drop compatibility
	  code.

2006-07-23 19:55  kevinkofler

	* ktigcc.pro: Fix test for qt3-apps-dev so it actually works on
	  Debian (hopefully).

2006-07-20 03:36  kevinkofler

	* parsing.cpp: Declare TIGCC's calling convention macros to ctags
	  so it recognizes prototypes using them.

2006-07-20 02:33  kevinkofler

	* preferences.cpp: Use system icons by default.

2006-07-20 02:25  kevinkofler

	* ktigcc.cpp, srcfilewin.ui.h: Fix annoying padding between system
	  icons (especially apparent at 16x16).

2006-07-19 23:13  kevinkofler

	* parsing.h: Use QValueVector instead of QValueList for
	  SourceFunctions array (more efficient random access).

2006-07-19 22:41  kevinkofler

	* KTIGCC.prj, functions.ui, functions.ui.h, ktigcc.pro,
	  mainform.ui, mainform.ui.h, parsing.h, srcfile.h, srcfilewin.ui,
	  srcfilewin.ui.h: Implement Functions dialog.

2006-07-19 18:36  kevinkofler

	* preferencesdlg.ui, programoptions.ui, programoutput.ui,
	  projectoptions.ui: Use the KPushButton::stdItem property so
	  pushbuttons honor the system-wide preference to show icons next to
	  standard pushbutton. Also remove minimum sizes for pushbuttons for
	  consistency.

2006-07-18 22:58  kevinkofler

	* mainform.ui, mainform.ui.h, parsing.cpp, parsing.h, srcfile.h,
	  srcfilewin.ui, srcfilewin.ui.h: Implement function popup.

2006-07-18 22:00  kevinkofler

	* INSTALL, fedora/ktigcc.spec: Require ctags in the specfile and
	  document Exuberant Ctags requirement in INSTALL.

2006-07-18 21:51  kevinkofler

	* KTIGCC.prj, ktigcc.pro, parsing.cpp, parsing.h: Implement parsing
	  functions for the function list. C files are parsed using Exuberant
	  Ctags (http://ctags.sourceforge.net). Assembly files are parsed for
	  labels by hand.

2006-07-18 15:12  kevinkofler

	* mainform.ui.h, srcfile.h, srcfilewin.ui, srcfilewin.ui.h: Also
	  create the Functions popup menu for out-of-project source files.
	  Also disable Find/Functions for out-of-project plain text files.

2006-07-18 14:56  kevinkofler

	* mainform.ui, mainform.ui.h: Enable "Find/Functions" for source
	  files.  Create popup menu for Functions toolbar button.

2006-07-17 14:12  kevinkofler

	* fedora/ktigcc.spec: Fix weekday in RPM specfile changelog.

2006-07-17 14:10  kevinkofler

	* INSTALL, fedora/ktigcc.spec: BuildRequire all the version 2
	  tilibs (also required at runtime, but RPM figures that out by
	  itself).

2006-07-17 14:01  kevinkofler

	* callbacks.cpp, callbacks.h: Implement progress bars for transfers
	  to a real calculator.

2006-07-17 13:58  kevinkofler

	* KTIGCC.prj, ktigcc.pro, mainform.ui.h: Implement progress bars
	  for transfers to a real calculator.

2006-07-17 12:16  kevinkofler

	* mainform.ui, mainform.ui.h: Implement debugRun for real
	  calculators (no fancy progress bar yet, but otherwise complete).

2006-07-17 09:21  kevinkofler

	* mainform.ui.h, preferences.cpp, preferencesdlg.ui.h:
	  Initialize/uninitialize tilibs.  Fix enum name conflict with tilibs.
	  Don't allow selecting a USB cable if libticables2 hasn't been
	  compiled without USB support or if USB support can't be used (only
	  works with libticables >=0.1.3, with older versions, the USB cable
	  radiobuttons are always enabled).

2006-07-17 08:50  kevinkofler

	* ktigcc.pro: Test for minimum versions of libtifiles2 and
	  libticalcs2 (the 20060524 snapshots fulfill them).  Check if
	  libticables2 is at least version 0.1.3 so I can use
	  ticables_is_usb_enabled() on versions which support it.

2006-07-17 07:32  kevinkofler

	* mainform.ui.h: Found and eliminated some more now redundant code.

2006-07-17 07:21  kevinkofler

	* mainform.ui, mainform.ui.h: Inline sendFiles and executeCommand
	  into debugRun (eliminates some redundant code and will avoid more
	  for real calculator support).

2006-07-16 11:11  kevinkofler

	* mainform.ui.h: Use usleep to reduce CPU consumption of my busy
	  waiting hack.  Accordingly, reduce timeout from 21 to 12 seconds.
	  Also, reduce wait between transfer and command line entry from 3 to
	  1 second.

2006-07-16 09:44  kevinkofler

	* mainform.ui, mainform.ui.h: Implement debugRun for TiEmu.

2006-07-16 06:30  kevinkofler

	* mainform.ui.h: Fix inverted logic bug.

2006-07-16 06:29  kevinkofler

	* mainform.ui.h: Don't show debug menu if no debug target has been
	  selected.

2006-07-16 06:17  kevinkofler

	* mainform.ui, mainform.ui.h: Implement debugPause and debugReset.

2006-07-16 05:39  kevinkofler

	* KTIGCC.prj, ktigcc.pro, tiemu.h, tiemu_stub.cpp, tiemu_stub.h:
	  Import the TiEmu DCOP SDK (technically part of TiEmu, but not worth
	  making a library of).

2006-07-16 05:31  kevinkofler

	* mainform.ui.h: Crash fix: don't call exitLoop while in a modal
	  dialog.

2006-07-16 05:07  kevinkofler

	* mainform.ui, mainform.ui.h: Disable Debug/Pause and Debug/Reset
	  if the target is not TiEmu (can't remotely launch a debugger or
	  reset on a real calculator).  Hide the Debug menu for function
	  archives (static libraries) and Flash OSes.  Disable the Debug menu
	  while compiling.

2006-07-16 02:18  kevinkofler

	* mainform.ui.h: Update comment: ld-tigcc in CVS now supports
	  --outputbin-main-only.

2006-07-16 01:19  kevinkofler

	* mainform.ui.h: Fix external data file support:
	  * Rename the data file so it doesn't conflict with PPGs.
	  * If the program is compressed, we actually need to relink it
	  without the outputbin flag. There should be a way to set outputbin
	  only for the main program in ld-tigcc.

2006-07-16 00:07  kevinkofler

	* mainform.ui, mainform.ui.h: "Remove" on a directory in the file
	  tree now prompts for saving files under that virtual directory.
	  Pressing the Del key in the file tree is now equivalent to "Remove".

2006-07-15 23:03  kevinkofler

	* mainform.ui.h: Fix bug (wrong path separator being checked) in
	  "Program Variable Name" fixup hack.

2006-07-14 23:03  kevinkofler

	* fedora/ktigcc.spec: Fix typo in changelog date.

2006-07-14 23:01  kevinkofler

	* INSTALL, fedora/ktigcc.spec: Require at least kdelibs 3.5.2
	  (needed for KProcess::MergedStderr).

2006-07-14 22:20  kevinkofler

	* mainform.ui.h: Fix up variable name in the ld-tigcc output so it
	  displays properly even if it contains non-ASCII characters. (That
	  should really be done within ld-tigcc, but TIGCC doesn't currently
	  use libticonv.)

2006-07-14 22:09  kevinkofler

	* mainform.ui.h: Copy .dbg files for compressed programs from the
	  temporary directory, in case TiEmu some day supports debugging PPGs.

2006-07-14 21:52  kevinkofler

	* mainform.ui, mainform.ui.h: Collect linker statistics. Implement
	  "display message after successful compilation", showing the
	  collected statistics and offering to open the project folder (using
	  the default app for "inode/directory", normally Konqueror).

2006-07-14 20:19  kevinkofler

	* mainform.ui.h: Set projectNeedsRelink when recompiling a file.

2006-07-14 20:14  kevinkofler

	* mainform.ui.h: Keep track of projectNeedsRelink flag (will be
	  used in debugRun).

2006-07-14 20:06  kevinkofler

	* mainform.ui.h: Implement "delete assembly files after successful
	  linking" and "delete object files after successful linking"
	  preferences.

2006-07-14 19:57  kevinkofler

	* mainform.ui.h, projectoptions.ui, projectoptions.ui.h: Implement
	  Browse button for the post-build command line in the Project Options
	  dialog. (I somehow forgot that when I finished the dialog.) Remove
	  double quotes around post-build substitutions for TIGCC IDE
	  compatibility.

2006-07-14 18:15  kevinkofler

	* mainform.ui, mainform.ui.h: Implement post-build processing.

2006-07-14 17:19  kevinkofler

	* mainform.ui.h: Add missing status bar messages.

2006-07-14 17:11  kevinkofler

	* mainform.ui.h: Use ErrorListItems instead of KMessageBoxes for
	  error reporting in compileFile.

2006-07-14 16:57  kevinkofler

	* mainform.ui.h, tpr.cpp, tpr.h: Implement ttpack compression.

2006-07-14 13:13  kevinkofler

	* mainform.ui.h: Implement linking static libraries and
	  uncompressed programs.  Fix parsing of ld-tigcc error messages
	  (Error: and Warning: prefixes were not recognized in messages
	  without line number).  Force complete project rebuild if the project
	  options were changed.

2006-07-14 11:51  kevinkofler

	* mainform.ui.h, tpr.cpp, tpr.h: Convert settings.data_var and
	  settings.pack_name from/to calculator charset.  Also convert project
	  name to calculator charset in process_settings.  Add --outputbin to
	  the linker options when packing.  Prompt for saving when trying to
	  link (Make or Build) an unsaved project.  Compute correct file names
	  for assembly/object files when compiling a file before it has been
	  saved and create the destination directory if it doesn't exist yet.

2006-07-14 10:18  kevinkofler

	* mainform.ui.h: Implement compiling from the file context menu.

2006-07-13 18:23  kevinkofler

	* images/: 00, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13,
	  14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27,
	  error.png, filec.png, fileh.png, fileo.png, filereplace.png,
	  files.png, filet.png, filex.png, folder1.png, folder2.png,
	  icon.png, info.png, tpr.png, warning.png: Mark image files as
	  binary.

2006-07-13 18:00  kevinkofler

	* mainform.ui.h, images/error.png, images/info.png,
	  images/warning.png: Fix transparency in the custom error list
	  icons.

2006-07-13 16:59  kevinkofler

	* mainform.ui.h: Make sure automated setText doesn't change
	  modifiedSinceLastCompile (especially not on the wrong file).

2006-07-13 16:40  kevinkofler

	* mainform.ui, mainform.ui.h: Keep track of
	  modifiedSinceLastCompile flag.  Implement projectCompile.

2006-07-13 11:16  kevinkofler

	* programoutput.ui: Program Output dialog:
	  * Adjust KTextBrowser properties.
	  * Invert tab order so Close gets focus by default.

2006-07-13 11:03  kevinkofler

	* KTIGCC.prj, ktigcc.pro, mainform.ui.h, programoutput.ui:
	  Implement Program Output dialog.  Fix off-by-one in A68k error
	  column parsing.

2006-07-13 10:29  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Implement "delete
	  overwritten errors" preference.

2006-07-13 10:00  kevinkofler

	* mainform.ui.h: Correctly locate errors in files opened by
	  ErrorListItem itself.

2006-07-13 09:36  kevinkofler

	* mainform.ui.h, tpr.cpp: Parse *nix-style (GCC, GNU as, ...) error
	  messages.  Disable sorting for the error list view.  Handle column
	  -1 as 0 (beginning of line) in ErrorListItem.  Fix errorLineList
	  off-by-one (source splitting was counting from 1, ErrorListItem from
	  0).

2006-07-13 05:51  kevinkofler

	* mainform.ui.h: Parse A68k errors.  Clear error list when starting
	  a new compile.  Connect errorListView_clicked() signal.  Insert
	  errors into the list in the correct order.

2006-07-13 03:44  kevinkofler

	* mainform.ui, mainform.ui.h: Implement copying error texts to the
	  clipboard.

2006-07-13 03:16  kevinkofler

	* mainform.ui, mainform.ui.h: Finish createCursor.  Implement
	  jumpToLocation and errorListView_clicked.

2006-07-12 14:11  kevinkofler

	* mainform.ui, mainform.ui.h: Create Kate cursor to keep track of
	  the line and column when the text is edited.

2006-07-12 10:34  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Update/delete errors
	  for a source file when adopting/deleting it.  Delete all errors when
	  clearing the project.

2006-07-12 09:00  kevinkofler

	* mainform.ui, mainform.ui.h: Look for the source file containing
	  the error.

2006-07-12 08:03  kevinkofler

	* KTIGCC.prj, ktigcc.pro, mainform.ui.h, images/error.png,
	  images/info.png, images/warning.png: Set the correct pixmaps for
	  the error messages.

2006-07-12 06:39  kevinkofler

	* errorlist.ui, mainform.ui.h: Create ErrorListItem class to be
	  used to keep track of errors/warnings/messages during compilation.

2006-07-12 03:15  kevinkofler

	* tpr.cpp: Fix debug line directives.

2006-07-12 02:38  kevinkofler

	* tpr.cpp: Better test for empty data var.

2006-07-11 07:36  kevinkofler

	* mainform.ui, mainform.ui.h, tpr.cpp, tpr.h: Finish implementing
	  compileFile.  Adapt process_settings from tprbuilder and split into
	  process_libopts (used for compileFile) and process_settings (will be
	  used for linking).  Fix crash in save_tpr (can't call libticonv on
	  NULL string).

2006-07-09 03:39  kevinkofler

	* mainform.ui.h: Implement "delete object files after successful
	  linking" and "delete assembly files after successful linking"
	  preferences, under #if 0 because the correct place to do this in
	  doesn't exist yet.

2006-07-09 03:04  kevinkofler

	* mainform.ui.h: Add missing error handling.  Delete temp file
	  after compiling it.  Handle resulting object files.

2006-07-09 02:35  kevinkofler

	* tpr.cpp: Run calculator command line through libticonv.

2006-07-09 02:26  kevinkofler

	* mainform.ui.h, tpr.cpp: Show status line message and write out
	  file when compiling.  Allow "compiling" (the actual compilation is
	  not done yet) out-of-project source files.

2006-07-09 01:33  kevinkofler

	* mainform.ui.h: Set modified properly for out-of-project source
	  files.

2006-07-09 01:26  kevinkofler

	* mainform.ui, mainform.ui.h: Create compileFile function and
	  implement logic to figure out when to rebuild files. (Don't actually
	  compile the files yet.)

2006-07-09 00:44  kevinkofler

	* mainform.ui.h: Keep track of header timestamps.

2006-07-09 00:19  kevinkofler

	* mainform.ui.h: Write all the headers and incbin files to the
	  temporary directory when setting up compilation.  Fix misplaced
	  parenthesis in writeTempSourceFile.

2006-07-08 23:54  kevinkofler

	* mainform.ui.h: Do the computations in the same order for
	  consistency.

2006-07-08 23:50  kevinkofler

	* mainform.ui.h: Fix missing computation of fileName in one code
	  branch.

2006-07-08 23:36  kevinkofler

	* mainform.ui, mainform.ui.h: Implement writeTempSourceFile
	  (wrapper around saveAndSplitFileText needed for compiling).

2006-07-07 06:09  kevinkofler

	* mainform.ui.h, srcfile.h, tpr.h: All source files now have their
	  LineStartList.

2006-07-07 05:48  kevinkofler

	* ktigcc.h, mainform.ui.h, programoptions.ui.h,
	  projectoptions.ui.h, srcfile.h, tpr.cpp, tpr.h: Implement source
	  file splitting and debugging #line directives (code not used yet,
	  will be used for temp files during compilation).

2006-07-07 03:27  kevinkofler

	* mainform.ui.h, srcfile.h: New SourceFile::isCSourceFile member
	  because line splitting (to get more precise error locations) is only
	  done on source files, not header files.

2006-07-04 04:12  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: Match the Windows IDE's behavior
	  for saving:
	  * saving the project also saves out-of-project source files,
	  * out-of-project source files are always saved before compiling.

2006-07-04 03:50  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui.h: Clear temp directory when
	  done compiling.

2006-07-04 02:52  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui, srcfilewin.ui.h:
	  Implement "Auto-save project before compiling" preference.  Remove
	  redundant SourceFileWindow::fileSave_save and
	  SourceFileWindow::fileSave_saveAs functions, move code to
	  SourceFileWindow::fileSave and SourceFileWindow::fileSave_saveAs
	  respectively.

2006-07-04 02:17  kevinkofler

	* mainform.ui.h: Implement stopping compilations through flags,
	  which is how things will have to work in practice.

2006-07-03 21:42  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Also handle
	  out-of-project source file windows when
	  enabling/disabling/showing/hiding actions during compiles.

2006-07-03 21:22  kevinkofler

	* mainform.ui, mainform.ui.h: Disallow actions changing the project
	  tree during compiles. Handle showing/hiding the compiling resp.
	  compilation stopping functions.

2006-07-03 00:18  kevinkofler

	* mainform.ui, mainform.ui.h: Add Project / Stop Compilation and
	  Project / Force-Quit Compiler (hidden, will be shown only when a
	  compile is running).

2006-07-02 03:47  kevinkofler

	* KTIGCC.prj, errorlist.ui, ktigcc.pro, mainform.ui, mainform.ui.h:
	  Create Errors and Warnings window.

2006-06-30 18:05  kevinkofler

	* programoptions.ui.h: Include qapplication.h instead of the
	  deprecated qapp.h.

2006-06-29 23:01  kevinkofler

	* ktigcc.pro: Check for qassistantclient.h.

2006-06-29 22:52  kevinkofler

	* INSTALL: Qt Assistant development headers are needed too.

2006-06-27 00:44  kevinkofler

	* KTIGCC.prj: Update Anjuta project for INSTALL file addition.

2006-06-26 19:57  kevinkofler

	* INSTALL: desktop-file-utils is actually not used for installs
	  from source yet.

2006-06-26 19:00  kevinkofler

	* INSTALL, ktigcc.pro: Add INSTALL readme file.

2006-06-25 21:38  kevinkofler

	* mainform.ui.h: Fix checks for duplicate file names involving
	  separate source file windows.

2006-06-25 21:22  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui.h: Implement "Add to
	  Project" in SourceFileWindow.

2006-06-25 18:23  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: Apply the preferences to the
	  source file windows.

2006-06-25 18:11  kevinkofler

	* srcfilewin.ui.h: Fix "Save As" file filters in SourceFileWindow.

2006-06-25 17:57  kevinkofler

	* mainform.ui.h, srcfile.h, srcfilewin.ui.h: Fix handling of
	  KDirWatch in SourceFileWindow.

2006-06-25 17:10  kevinkofler

	* mainform.ui.h: Delete source windows when the main window is
	  closed.

2006-06-25 17:01  kevinkofler

	* srcfilewin.ui, srcfilewin.ui.h: Fix SourceFileWindow layout.

2006-06-25 15:03  kevinkofler

	* ktigcc.h, mainform.ui, mainform.ui.h, srcfile.h, srcfilewin.ui,
	  srcfilewin.ui.h: Implement opening files outside of a project.

2006-06-25 13:50  kevinkofler

	* srcfilewin.ui.h: Handle captions for the SourceFileWindow.

2006-06-25 13:40  kevinkofler

	* mainform.ui.h, srcfilewin.ui.h: Don't hardcode /usr/local/tigcc
	  in the TIGCC Projects directory.

2006-06-25 06:41  kevinkofler

	* srcfile.h: Make a pointer to the main form accessible to the
	  SourceFileWindow instances.

2006-06-25 06:12  kevinkofler

	* mainform.ui: Fix lost projectErrorsAndWarnings connection in
	  MainForm.

2006-06-25 05:57  kevinkofler

	* mainform.ui, srcfilewin.ui: Fix menu and toolbar captions,
	  tooltips and status tips in SourceFileWindow.  Fix "Print File"
	  toolbar icon status tip in MainForm.

2006-06-25 05:42  kevinkofler

	* srcfilewin.ui, srcfilewin.ui.h: Remove splitter and widget stack
	  from SourceFileWindow.

2006-06-25 05:37  kevinkofler

	* KTIGCC.prj, ktigcc.h, ktigcc.pro, mainform.ui.h, srcfile.h,
	  srcfilewin.ui.h: Don't use static variables in SourceFileWindow,
	  we need one copy of each variable per instance.

2006-06-25 05:03  kevinkofler

	* srcfilewin.ui.h: Implement Find and Replace in the
	  SourceFileWindow.

2006-06-25 04:36  kevinkofler

	* mainform.ui, srcfilewin.ui, srcfilewin.ui.h: Don't duplicate
	  SGetFileName and SGetFileNameMultiple because there should be only
	  one lastDirectory.

2006-06-25 04:21  kevinkofler

	* mainform.ui, mainform.ui.h, srcfilewin.ui, srcfilewin.ui.h:
	  Update SourceFileWindow menu (remove main-window-only entries,
	  rename others), update init slot and applyPreferences slot, remove
	  leftStatusLabel.  Fix name of projectErrorsAndWarnings slot in
	  mainform.ui to conform to the naming convention.

2006-06-25 03:31  kevinkofler

	* KTIGCC.prj, ktigcc.pro, srcfilewin.ui, srcfilewin.ui.h: Create
	  SourceFileWindow as a copy of MainForm (unfinished, but compiles and
	  links).

2006-06-22 17:25  kevinkofler

	* ktigcc.pro: Ship images/copyright.txt in the tarball.

2006-06-18 10:30  kevinkofler

	* KTIGCC.prj, images/copyright.txt: Credit the borrowed images
	  properly.

2006-06-18 10:23  kevinkofler

	* KTIGCC.prj, ktigcc.pro, mainform.ui.h, images/filereplace.png:
	  Use "folder" instead of "folder_flat" to make the folder icon
	  display for Crystal.  Fix "new" submenu not getting system icon.
	  Add Crystal filereplace.png (borrowed from KFileReplace) and use it
	  if we don't have stock-find-and-replace.

2006-06-18 09:12  kevinkofler

	* preferencesdlg.ui.h: Actually add preferences.ui.h to the
	  repository.

2006-06-18 09:01  kevinkofler

	* mainform.ui.h: Request Kate::Document explicitly because there
	  would definitely be breakage if we accidentally got some other
	  KTextEditor implementation instead (I use Kate::Document and
	  Kate::View all over the place).

2006-06-18 08:54  kevinkofler

	* mainform.ui.h: Fix drag&drop not updating the file icon.

2006-06-18 08:46  kevinkofler

	* mainform.ui, mainform.ui.h, preferences.cpp, preferences.h,
	  preferencesdlg.ui: Implement "Use system icons" preference.
	  (Currently off by default, this may change in the future.) Fix
	  openFile not using fileo.png.  Fix relying on factory staying loaded
	  forever (crash if it gets unloaded by KDE).

2006-06-16 21:01  kevinkofler

	* KTIGCC.prj, ktigcc.cpp, ktigcc.pro, images/icon.png: Add missing
	  icon for the about dialog.

2006-06-16 20:33  kevinkofler

	* tpr.cpp: Fix regression in read_line.

2006-06-16 19:40  kevinkofler

	* KTIGCC.prj, ktigcc.pro, tpr.cpp, fedora/ktigcc.spec: Add RPM spec
	  file.  Makefile (ktigcc.pro) fixes for the RPM: Install COPYING.
	  Honor $CXXFLAGS. Fix INSTALL_ROOT when built from a subdirectory of
	  /usr (trick taken from the ipe Debian package). Fix make install to
	  work if qmake has not been rerun after make.  Fix warn_unused_result
	  warnings in tpr.cpp evidenced by the RPM build.  Mark all functions
	  in tpr.cpp and not in tpr.h "static".

2006-06-16 16:23  kevinkofler

	* ktigcc.pro: Make sure make dist actually packages a working
	  tarball and add dist-bzip2 target.

2006-06-15 21:39  kevinkofler

	* mainform.ui.h: Remove installEventFilter call (leftover from
	  previous failed attempt at hooking Enter/Return).

2006-06-15 21:34  kevinkofler

	* mainform.ui, mainform.ui.h: Improve Auto Blocks:
	  * Hook Enter/Return key.
	  * Only create a block immediately if { is on its own in a line,
	  otherwise wait for Enter/Return to be pressed. This prevents
	  annoying the user while typing things like strings.  (The Windows
	  IDE also works like that.)

2006-06-15 19:47  kevinkofler

	* mainform.ui.h: Rename CF_REMOVE_SPACES_ONLINE to
	  CF_REMOVE_TRAILING_DYN to match the cfRemoveTrailingDyn name used
	  internally by Kate.

2006-06-15 13:50  kevinkofler

	* mainform.ui.h: Fix graphical glitch when changing the tab width
	  (IMHO a KatePart redrawing bug).

2006-06-15 13:40  kevinkofler

	* mainform.ui.h: Kate::View already implements
	  DynWordWrapInterface, so it's no use requesting it explicitly.

2006-06-15 13:36  kevinkofler

	* mainform.ui.h: Properly mark the 2 Auto Blocks changes as a
	  single undo unit (doesn't seem to matter anyway, but let's do it the
	  right way).

2006-06-15 13:24  kevinkofler

	* mainform.ui, mainform.ui.h: Implement Auto Blocks.

2006-06-15 12:29  kevinkofler

	* tpr.cpp: Fix regex for "Remove Trailing Spaces" not to eat empty
	  lines.

2006-06-15 11:50  kevinkofler

	* mainform.ui, mainform.ui.h, preferences.cpp, tpr.cpp: Implement
	  "Remove trailing spaces" (the same way as Kate implements it: remove
	  them on load, save and on the edits Kate removes them on (pressing
	  Enter, basically)).

2006-06-15 09:12  kevinkofler

	* mainform.ui.h, preferences.cpp, preferences.h: Apply the
	  preferences concerning the KatePart to the KatePart views.

2006-06-15 06:48  kevinkofler

	* mainform.ui.h, preferences.cpp: Load/save preferences and update
	  KatePart color schema from the preferences.

2006-06-15 05:49  kevinkofler

	* KTIGCC.prj, preferencesdlg.ui: Implement Preferences dialog.

2006-06-15 03:48  kevinkofler

	* configure, ktigcc.pro: Add dummy configure script which just runs
	  qmake and prints an error if it was not found.  Error out if
	  kde-config was not found.

2006-06-15 02:45  kevinkofler

	* ktigcc.pro: Honor $TIGCC during make install.

2006-06-15 02:39  kevinkofler

	* KTIGCC.prj, ktigcc.pro, preferences.cpp, preferences.cxx[DEAD],
	  tpr.cpp, tpr.cxx[DEAD]: Rename *.cxx to *.cpp for consistency.

2006-06-15 02:30  kevinkofler

	* KTIGCC.prj, mainform.ui.h, preferences.cxx, preferences.h,
	  preferencesdlg.ui: More work on the Preferences dialog:
	  * Disable real calculator port/cable if "real calculator" is not
	  selected.
	  * Implement showPreferencesDialog in preferences.cxx and make
	  filePreferences call it.
	  * Don't require prefs and cfg parameters in
	  loadPreferences/savePreferences, they are always the same.

2006-06-15 00:12  kevinkofler

	* KTIGCC.prj, ktigcc.pro, preferences.h, preferencesdlg.ui: Design
	  Preferences dialog and update TIGCCPrefs structure.

2006-06-08 10:46  kevinkofler

	* mainform.ui.h: Don't open a new replace dialog if currently
	  replacing something.  Delete kreplace and kfinddialog when the main
	  window is destroyed.

2006-06-07 09:50  kevinkofler

	* mainform.ui, mainform.ui.h: Implement replace.

2006-06-05 19:30  kevinkofler

	* mainform.ui.h: More preparations towards implementing replace.

2006-06-05 17:14  kevinkofler

	* mainform.ui.h: Use setCursorPositionReal and cursorColumnReal
	  instead of setCursorPosition and cursorColumn in find and replace.
	  Scroll to the location of the find automatically.

2006-06-05 15:09  kevinkofler

	* mainform.ui, mainform.ui.h: Implement Find. Start implementing
	  Replace.

2006-06-05 02:09  kevinkofler

	* ktigcc.pro, mainform.ui, mainform.ui.h: Incomplete implementation
	  of Find (only brings up the dialog, doesn't actually find anything
	  yet).

2006-06-04 23:27  kevinkofler

	* mainform.ui, mainform.ui.h: Remove lineColToPos, posToLineCol
	  again, they won't be needed after all.

2006-06-04 06:09  kevinkofler

	* mainform.ui: posToLineCol need not be a slot.

2006-06-04 06:06  kevinkofler

	* mainform.ui, mainform.ui.h: Start implementing find/replace. (I
	  can't just use the canned Kate::View::find and Kate::View::replace
	  because these don't support searching across documents.)

2006-06-02 21:15  kevinkofler

	* mainform.ui.h: Fix drag&drop coordinate problem.

2006-06-02 20:29  kevinkofler

	* mainform.ui, mainform.ui.h, tpr.cxx: Fix renaming for yet another
	  gratuitous QListView/KListView API difference.  Validate project
	  name during rename.  Assume the project name in .tpr files to be in
	  the calculator charset.

2006-06-02 17:49  kevinkofler

	* mainform.ui, mainform.ui.h: Fix drag&drop (has been broken since
	  the switch to KListView). Also fix drag&drop not updating the syntax
	  highlighting mode when a file was moved to a different category.

2006-06-02 10:51  kevinkofler

	* mainform.ui.h: Make rootListItem a subclass of KListViewItem
	  rather than a QListViewItem.  Make it renamable. Mark project dirty
	  when renamed.  Work around stupid KListView/QListView renaming API
	  difference (fixes old-style clipboard shortcuts when renaming).

2006-06-02 09:23  kevinkofler

	* ktigcc.pro: Fix pasto.

2006-06-02 09:20  kevinkofler

	* ktigcc.pro, mainform.ui.h, preferences.cxx, preferences.h,
	  tpr.cxx: Require glib2 (used by libticonv) and libticonv.
	  Implement conversion from/to calculator charset.

2006-06-02 08:25  kevinkofler

	* preferences.cxx: Unsigned short promotes to signed int, so cast
	  to unsigned instead.

2006-06-02 08:22  kevinkofler

	* preferences.cxx, preferences.h: Add "Use Calc Charset"
	  preference. Simplify handling of preferences.

2006-05-31 05:21  kevinkofler

	* mainform.ui.h: Implemented F1 context help.

2006-05-31 04:56  kevinkofler

	* ktigcc.pro, programoptions.ui, images/whatsthis.png[DEAD]: Remove
	  unused "What's this" button. Replace it with a more visible hint
	  about the right-click feature, easily overlooked in the Win32 IDE.

2006-05-31 04:47  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui.h, programoptions.ui,
	  programoptions.ui.h: Implement help on right-click in the Program
	  Options dialog.

2006-05-31 03:06  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui.h, projectoptions.ui.h: Check
	  for fargo.a and flashos.a availability. Refuse to load Fargo resp.
	  Flash OS projects and hide Fargo resp. FlashOS options from the
	  project options if they are missing.

2006-05-31 02:47  kevinkofler

	* preferences.h, programoptions.ui.h, projectoptions.ui.h, tpr.h:
	  Fix tpr.h and preferences.h not to rely on any other header having
	  been included first (use forward declaration where possible, include
	  the header otherwise).

2006-05-31 02:19  kevinkofler

	* programoptions.ui, programoptions.ui.h: Disable options when they
	  can't be changed in the Project Options dialog.

2006-05-29 02:41  kevinkofler

	* ktigcc.pro: Fix detection of KDE include/lib directories for
	  Gentoo.

2006-05-25 19:27  kevinkofler

	* programoptions.ui: Added tooltips in the Program Options dialog.

2006-05-25 17:15  kevinkofler

	* mainform.ui.h, programoptions.ui.h: Fix saving of MIN_AMS
	  setting.  Mark project dirty if the options were changed.

2006-05-25 17:05  kevinkofler

	* programoptions.ui, programoptions.ui.h, projectoptions.ui,
	  projectoptions.ui.h: Fix 2 instances of setChecked(TRUE) in
	  previous commit which should have been setChecked(FALSE).  Clean up
	  import/export code (remove redundant ifs for boolean variables and
	  stop using the now useless ExportCheckbox macro).  Implement export
	  in ProgramOptions.  Make Im/ExportSettings automatically call the
	  Import/Export method in ProgramOptions and move ProgramOptions
	  allocation/deletion accordingly.  Use isChecked rather than isOn.
	  Set proper maximum length for variable names and input mask for
	  MIN_AMS.  Use the argument of the toggled slot.  Handle
	  enabling/disabling the MIN_AMS textbox according to the checkbox.

2006-05-25 15:49  kevinkofler

	* programoptions.ui.h, projectoptions.ui.h: Use setChecked(TRUE)
	  instead of toggle() for defaulting the options to on (more logical,
	  more robust for checkboxes).  Format MIN_AMS properly.

2006-05-25 15:14  joeyadams

	* projectoptions.ui.h: Added ExportSettings entries for Compilation
	  and Post-Build tabs.

2006-05-25 15:11  kevinkofler

	* programoptions.ui, projectoptions.ui, projectoptions.ui.h: Set
	  accelerators for label - edit box pairs properly.  Fix duplicate
	  accelerator.

2006-05-25 14:43  kevinkofler

	* KTIGCC.prj, programoptions.ui, projectoptions.ui: Replace
	  QLineEdit with KLineEdit, QPushButton with KPushButton (but not
	  QTabWidget with KTabWidget which isn't well-supported by Qt
	  Designer).

2006-05-25 14:13  kevinkofler

	* mainform.ui, mainform.ui.h: Use KListView instead of QListView
	  (should honor the KDE cut/copy/paste accelerator settings, but
	  doesn't right now).  Disable the secondary cut/copy/paste
	  accelerators triggering the menu items (applying to the editor view)
	  when the focus is not on the editor view.

2006-05-25 12:27  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: Better error message for
	  non-existing files ("not found" instead of the vague "is not a
	  regular file").

2006-05-25 11:03  kevinkofler

	* COPYING, ktigcc.cpp, ktigcc.h, mainform.ui.h, preferences.cxx,
	  preferences.h, programoptions.ui.h, projectoptions.ui.h, tpr.cxx,
	  tpr.h: Update/add copyright notices.

2006-05-22 21:38  joeyadams

	* mainform.ui.h, programoptions.ui, programoptions.ui.h,
	  projectoptions.ui, projectoptions.ui.h: Gave all pages of both
	  the Project Options and the Program Options the ability to read in
	  settings, but not the ability to write them back.

	  NOTE: I've had KTIGCC crash after I close the Project Options dialog
	  with this code, but I don't know what caused it, since it happens
	  randomly.  (it says double free or memory corruption is the cause)

2006-05-20 17:10  joeyadams

	* programoptions.ui: Fixed a boo-boo in the way a few of the radio
	  buttons were placed.  All radio buttons are now in button groups so
	  that they will be mutually exclusive.  Also set buttonClose to send
	  accept(), even though it doesn't really matter what ProgramOptions
	  sends when it closes. (unless for some reason we decided to make a
	  menu item in the MainForm for this dialog).

2006-05-20 17:07  joeyadams

	* projectoptions.ui.h: Changed how ProjectOptions instantiates
	  ProgramOptions: now only one instance of ProgramOptions lasts an
	  entire ProjectOptions session which allows us to mirror the TIGCC
	  IDE's behavior of Program Options.

2006-05-20 14:55  joeyadams

	* images/whatsthis.png, KTIGCC.prj, ktigcc.pro, programoptions.ui,
	  programoptions.ui.h, projectoptions.ui, projectoptions.ui.h: Laid
	  out Program Options, added it to the project, and made it viewable
	  when you press the Program Options button in Project Options.

	  I also added whatisthis.png to the image collection for the "What is
	  this?" button in Program Options.

2006-05-20 01:43  joeyadams

	* mainform.ui.h, projectoptions.ui, projectoptions.ui.h:
	  0. Finished laying out other tabs.
	  1. Changed the ProjectOptions caller in mainform.ui.h from using
	  stack memory to using free store for the projectoptions variable.
	  The old way was apparently causing a stack overflow once I had all
	  the controls laid out.

2006-05-19 23:06  joeyadams

	* projectoptions.ui, projectoptions.ui.h: Changed Alt key shortcuts
	  for Project Options controls to be more consistent with the original
	  TIGCC while still keeping the OK and Cancel buttons with their
	  Qt-set defaults of &OK and &Cancel.

2006-05-19 14:33  joeyadams

	* projectoptions.ui.h: Completed first tab of Project Options.

2006-05-19 13:55  joeyadams

	* mainform.ui.h, tpr.cxx, tpr.h: Added and implemented function
	  newSettings so that when you create a new project, the project
	  options for the previous project won't linger.

2006-05-19 13:21  joeyadams

	* KTIGCC.prj, mainform.ui.h, projectoptions.ui: Finished first tab
	  of Project Options (General) completely.  Hopefully, I didn't forget
	  anything.

2006-04-11 23:36  joeyadams

	* projectoptions.ui: Fixed first Project Options page (target),
	  added second page.

2006-04-11 22:57  joeyadams

	* ktigcc.pro, projectoptions.ui: Added incomplete Project Options
	  UI file.

2006-02-21 01:33  joeyadams

	* preferences.cxx, preferences.h: Added syntax highlighting options
	  to the TIGCCPrefs structure.  Changed Syn_Style from a bitfield to
	  an unsigned short with macro items as bits.  Corrected Syn_Color
	  parenthesisColor into QValueList<Syn_Color> parenthesisColors;
	  Changed the word list format from a QStringList to a
	  return-delimited QString.  Created a function that puts default
	  syntax highlighting information into a TIGCCPrefs structure.
	  (Eventually, we should use a data file to hold this information
	  instead because this function is enormous.  However, it can serve as
	  a seed for generating the default options for highlighting.)

	  Not done: reading and writing syntax information to the KConfig.

2006-02-20 05:01  kevinkofler

	* ktigcc.cpp: Use lowercase internal name so we don't get both
	  KTIGCCrc and ktigccrc config files.

2006-02-20 04:45  joeyadams

	* preferences.cxx, preferences.h: Implemented configuration saving
	  for current preference structure items.

2006-02-20 00:52  joeyadams

	* mainform.ui.h, preferences.cxx, preferences.h: Set up
	      loadPreferences/savePreferences/defaultPreferences interface, but it
	      does not actually load or save yet.  >Added the functions
	      themselves.  >set loadPreferences to just do defaultPreferences.
	      >Put loadPreferences where it goes in MainForm::init
	      >Implemented tab width setting in createView (sets C/qll/.h (c)
	      files to tabWidthC, sets s/asm/h (s/asm) files to tabWidthAsm,
	      and sets other files to a tab width of 8.

2006-02-19 23:26  joeyadams

	* mainform.ui.h: Fixed issue with creating C files through the menu
	  so it's in sync with creating them through the context menu.

2006-02-19 22:42  joeyadams

	* mainform.ui.h: Implemented Increase Indent, Decrease Indent, and
	  set tab width to 2.

	  (Warning:  During testing, I got an unexplained crash when I clicked
	  on a file of a project just opened.  I don't know why it happened
	  because I've been unable to reproduce the problem.)

2006-02-19 02:18  kevinkofler

	* mainform.ui.h: Implement lazy loading of the Kateparts (aka
	  "On-demand syntax highlighting").

2006-02-17 23:24  kevinkofler

	* mainform.ui.h: Add FIXME in accel_activated.

2006-02-17 23:12  kevinkofler

	* mainform.ui, mainform.ui.h: Edit menu part 4: Implement alternate
	  (DOS SAA) accelerators for common edit operations.

2006-02-17 22:52  kevinkofler

	* mainform.ui.h: Edit menu part 3: implement the 7 easy entries.

2006-02-17 22:46  kevinkofler

	* mainform.ui, mainform.ui.h: Edit menu part 2: forward popup menu
	  clicks to the appropriate slots. (Also rename badly-named slots.)

2006-02-17 22:35  kevinkofler

	* mainform.ui, mainform.ui.h: Edit menu part 1: enable/disable
	  items where appropriate.

2006-02-13 01:51  kevinkofler

	* mainform.ui.h: Don't set our own isDirty flag, instead use the
	  one provided by the Katepart.

2006-02-13 01:32  kevinkofler

	* mainform.ui.h: Fix status bar display to count lines starting at
	  1, not 0.

2006-02-13 01:29  kevinkofler

	* mainform.ui.h: Initialize cursor position to the beginning of the
	  file.

2006-02-13 01:23  kevinkofler

	* mainform.ui.h: Also update the file name when renaming.

2006-02-13 01:17  kevinkofler

	* mainform.ui.h: Fix file name updating hack not to lose the file
	  text.

2006-02-13 01:01  kevinkofler

	* ktigcc.cpp, mainform.ui, mainform.ui.h: Use a QWidgetStack and
	  remove the default (grayed-out) view.

2006-02-12 23:57  kevinkofler

	* mainform.ui, mainform.ui.h, tpr.cxx, tpr.h: Stop abusing Kate's
	  document/view interface and create one document/view pair for each
	  file.

2006-02-11 01:36  joeyadams

	* preferences.cxx, tpr.h: Worked on the syntax highlighting
	  preferences to XML function by creating a few functions that will be
	  used later on for adding lists as well as hardcoding the symbol
	  table within the SynToXML function.

2006-02-06 14:10  kevinkofler

	* mainform.ui.h: Add missing validity checks when adding a file to
	  the project and when saving a file with a new name.

2006-02-01 05:07  kevinkofler

	* mainform.ui, mainform.ui.h: Fix drag&drop between editable and
	  non-editable categories.  Watch only editable files for
	  modifications.  Reset dirty and new flags when reloading a file from
	  disk.

2006-01-31 16:28  kevinkofler

	* mainform.ui, mainform.ui.h: Implement slot for KDirWatch: the
	  reload prompt fully works now.

2006-01-31 15:41  kevinkofler

	* mainform.ui.h: Add KDirWatch to watch files for changes.

2006-01-31 14:49  kevinkofler

	* tpr.cxx: loadFileText: Don't abuse stack to hold entire files.
	  Don't silently ignore failed fread calls. Convert line endings.

2006-01-31 14:07  kevinkofler

	* mainform.ui, mainform.ui.h: Implement printing.

2006-01-31 09:21  kevinkofler

	* ktigcc.cpp: Match the locale for the default C string <-> QString
	  conversions. Hopefully it is a .UTF-8 locale, if it isn't, don't
	  complain about characters lost converting!

2006-01-31 02:00  joeyadams

	* mainform.ui.h: Added three instances of the line
	  projectIsDirty=TRUE; to fileTreeContextMenuRequested so the project
	  would be considered dirty when a file is deleted from the project.

2006-01-31 01:53  joeyadams

	* KTIGCC.prj, ktigcc.pro: Added preferences.h and preferences.cxx
	  to the project files.

2006-01-31 01:52  joeyadams

	* preferences.cxx, preferences.h: Contains the structure for syntax
	  highlighting preferences, and might eventually contain anything else
	  pertaining to preference conversion to XML or otherwise.

2006-01-31 00:12  kevinkofler

	* mainform.ui.h: Implement file context menu (including all
	  operations except Compile).

2006-01-30 23:45  kevinkofler

	* mainform.ui.h: Turn off dynamic word wrap.

2006-01-30 22:37  kevinkofler

	* mainform.ui.h: Fix Qt warning due to negative maximum status
	  label width.

2006-01-30 21:18  kevinkofler

	* mainform.ui.h: Reset the dirty flag if the user decides to
	  discard changes.

2006-01-30 21:13  kevinkofler

	* mainform.ui.h: Switching from one file to another was causing the
	  file to be marked dirty. Fix that.

2006-01-30 21:06  kevinkofler

	* mainform.ui.h: Prompt for saving before opening a project.

2006-01-30 21:03  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: Bring getPathType back (without
	  the redundant fopen check) and error on attempts to open/add folders
	  or special files.

2006-01-30 19:14  kevinkofler

	* mainform.ui: Implement recent file list in the toolbar.  Restore
	  correct "text" properties (only "menuText" should contain
	  accelerators, not "text" or "toolTip").

2006-01-30 18:47  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: Remove redundant file existence
	  checks (move file reading code up where needed) and delete unneeded
	  getPathType function.

2006-01-30 18:32  kevinkofler

	* mainform.ui: closeEvent need not be a slot (changed to function).

2006-01-30 01:29  joeyadams

	* mainform.ui, mainform.ui.h, tpr.cxx, tpr.h: Added 'Add Files...'
	  support.  in fileOpen_addList :  Fixed suffix truncation for file
	  paths such as "/root/.dot/nodot" so it wouldn't truncate to "/root/"
	  Changed openFile so it will return NULL on error and not add the
	  file to the project if the file cannot be accessed.

2006-01-29 13:35  joeyadams

	* mainform.ui, mainform.ui.h: Assigned slots to menu items that
	  didn't have them yet.

2006-01-29 03:22  joeyadams

	* mainform.ui, mainform.ui.h: Added fileSave_save.  Fixed
	  fileSave_save and fileSave_saveas so that they would copy from the
	  document to the textBuffer if necessary.

2006-01-29 02:33  joeyadams

	* mainform.ui, mainform.ui.h: Attached savePrompt to New Project
	  and exiting (but it doesn't work correctly at all).

2006-01-29 02:12  joeyadams

	* mainform.ui.h: Prompts for file names when a file has not been
	  saved and the project is new.

2006-01-29 01:46  joeyadams

	* mainform.ui, mainform.ui.h: Added functions
	  MainForm::fileSavePrompt and MainForm::savePrompt.  Didn't use them
	  for anything yet.

2006-01-28 06:49  kevinkofler

	* mainform.ui, mainform.ui.h: Fix status bar display glitch.

2006-01-28 06:33  kevinkofler

	* mainform.ui: Fix tooltip for "Find symbol declaration".

2006-01-28 06:24  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui.h: Add support for opening a
	  project from the command line.

2006-01-28 05:58  kevinkofler

	* mainform.ui, mainform.ui.h: Keep track of current project
	  separately from recent projects and reset the current project in
	  fileNewProject. Also enter projects into the recent project list
	  when saving.

2006-01-28 05:49  kevinkofler

	* ktigcc.cpp, ktigcc.h, mainform.ui, mainform.ui.h: Implement
	  recent project list.

2006-01-28 05:41  kevinkofler

	* tpr.cxx, tpr.h: Add missing MLink reloc type (was already in
	  tprbuilder 1.0.15, Joey ported an old version).

2006-01-28 03:58  kevinkofler

	* mainform.ui.h: In fileSave_fromto, only update textBuffer for
	  editable files.

2006-01-28 03:53  joeyadams

	* mainform.ui.h: Added a condition in MainForm::newFile where it
	  says tmp+='/'; Changed to:

	  if (!tmp.isEmpty())
	  	tmp+='/';

	  This keeps tmp from being an absolute path when it shouldn't be.

2006-01-28 03:41  kevinkofler

	* mainform.ui.h: Compute tmpPath in fileSave_loadList before using
	  it (bugfix).

2006-01-28 03:39  kevinkofler

	* mainform.ui.h: Set projectIsDirty where appropriate.

2006-01-28 03:27  kevinkofler

	* mainform.ui.h: Update right status label in fileSave_saveAs and
	  fileSave_fromto.

2006-01-28 03:25  kevinkofler

	* mainform.ui.h: Set isDirty flag in m_view_textChanged.

2006-01-28 03:22  kevinkofler

	* mainform.ui.h: Copy unchanged and binary files correctly in
	  fileSave_loadList.

2006-01-28 03:15  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: New function copyFile. Use it in
	  fileSave_saveAs to copy binary files.

2006-01-28 02:52  kevinkofler

	* mainform.ui, mainform.ui.h: Restore handling of old project
	  folder when saving a project, files should be copied over.

2006-01-28 02:16  kevinkofler

	* mainform.ui.h: Reset projectIsDirty in fileSave_to if saving
	  succeeded.  Only reset the dirty and new flags in fileSave_saveAs
	  and fileSave_loadList if saving succeeded, display an error message
	  otherwise.

2006-01-28 02:11  joeyadams

	* mainform.ui.h: Fixed file renaming self-conflict issue.

2006-01-28 02:08  kevinkofler

	* tpr.cxx: Check the return values of all file write operations.

2006-01-28 01:36  joeyadams

	* mainform.ui, mainform.ui.h: Added MainForm::fileSave_saveAs, but
	  didn't use it for anything

2006-01-28 01:08  kevinkofler

	* mainform.ui, mainform.ui.h: Split openProject out of fileOpen.
	  Split clearProject out of fileNewProject and use it in openProject.
	  Reset projectIsDirty flag in clearProject.

2006-01-28 00:53  kevinkofler

	* mainform.ui.h: Handle isNew and isDirty flags in
	  fileSave_loadList.

2006-01-28 00:45  kevinkofler

	* mainform.ui.h: Initialize isNew and isDirty in the ListViewFile
	  constructor. Don't initialize them in newFile. Reset isNew in
	  openFile.

2006-01-28 00:41  kevinkofler

	* mainform.ui.h: Conditionalize A68k support and add conditional
	  Quill support in findFilter.

2006-01-28 00:32  kevinkofler

	* mainform.ui, mainform.ui.h: Delete old signatures of SGetFileName
	  and SGetFileName_Multiple from mainform.ui. Delete unused
	  CATEGORY_INDEX macro.

2006-01-27 03:12  joeyadams

	* mainform.ui, mainform.ui.h: Cleaned filter mess by providing
	  defines for each individual file type as well as by creating the
	  function MainForm::findFilter that can be reconfigured to support
	  Quill and A68k visibility.

2006-01-27 01:09  kevinkofler

	* tpr.h: Use correct default formats (RT_AMS for relocs, RT_DIRECT
	  for ROM_CALLs) instead of RT_NONE.

2006-01-27 01:07  kevinkofler

	* mainform.ui.h: Use isNew in fileTreeItemRenamed.

2006-01-27 01:02  joeyadams

	* mainform.ui.h: added ListViewFile::isNew, ListViewFile::isDirty,
	  and projectIsDirty.

2006-01-27 00:42  kevinkofler

	* mainform.ui.h: If a file has already been saved, rename it on
	  disk too in fileTreeItemRenamed.

2006-01-27 00:30  kevinkofler

	* ktigcc.h: Add ktigcc.h, containing prototypes for
	  functions/variables in ktigcc.cpp.

2006-01-27 00:20  kevinkofler

	* mainform.ui.h: Don't look up already known category in
	  fileSave_loadList.

2006-01-27 00:17  kevinkofler

	* mainform.ui.h: Don't try to save non-editable files.

2006-01-27 00:12  kevinkofler

	* mainform.ui.h: New CATEGORY_OF macro to get the category of a
	  list item (also declares a QListViewItem * to hold the result).  Use
	  IS_FOLDER instead of calling rtti() directly in 2 places.  Use
	  IS_EDITABLE_CATEGORY in updateRightStatusLabel.

2006-01-26 23:54  kevinkofler

	* mainform.ui, mainform.ui.h: The old project name or path is
	  irrelevant when saving.

2006-01-26 23:29  kevinkofler

	* KTIGCC.prj, ktigcc.cpp, ktigcc.pro, mainform.ui.h: Create new
	  file ktigcc.h containing prototypes for ktigcc.cpp, use it in
	  mainform.ui.h.  Add papp variable holding the pointer to the
	  KApplication object.

2006-01-26 21:16  kevinkofler

	* tpr.cxx: Remove obsolete Todo comments.

2006-01-26 21:05  kevinkofler

	* tpr.cxx: Don't mix tabs and spaces (use spaces consistently). Fix
	  missing \r\n after "AMS". Use string concatenation rather than %s
	  for token.

2006-01-26 04:12  joeyadams

	* tpr.h, tpr.cxx: Cleaned up the reloc type mess.  Now there's
	  RT_NONE, RT_DIRECT, and RT_AMS, along with their corresponding
	  handlers in parse_file and save_tpr.

2006-01-23 05:31  kevinkofler

	* mainform.ui, mainform.ui.h: Update left status label when
	  counters change due to drag&drop.

2006-01-23 05:14  kevinkofler

	* mainform.ui.h: Don't allow more than one Quill file per project.

2006-01-23 04:54  kevinkofler

	* tpr.cxx: Update loadTPR comment. Cleanups in saveTPR.

2006-01-23 04:37  kevinkofler

	* KTIGCC.prj: Use "make", not "make -k", to build. (Hopefully, it
	  will stick this time.)

2006-01-23 00:22  joeyadams

	* mainform.ui.h: File name conflict message now appears if you try
	  to rename a file with an invalid name.

2006-01-22 22:19  joeyadams

	* tpr.cxx: Added qll suffix to checkFileName.

2006-01-22 21:53  joeyadams

	* tpr.cxx: Got rid of a dialog box I was just using for testing.

2006-01-22 21:40  joeyadams

	* mainform.ui.h, tpr.cxx, tpr.h, mainform.ui: Broke up
	  extractFileTreeInfo by creating a separate routine that lists all
	  the file paths in every category of the project.  The routine is
	  extractAllFileNames.  Created a new function for checking if a file
	  name is available based on a given list (follows the .o rules
	  correctly) called checkFileName.  It depends on a list generated by
	  extractAllFileNames.  Corrected new file uniquification (I still
	  need to know if you want new file names to be based on all file
	  names of all types like the Windows IDE does)

2006-01-22 03:11  joeyadams

	* mainform.ui, mainform.ui.h: Made thee status bar update correctly
	  immediately when you rename a file.  However, we still need to do
	  things such as check for file name conflicts, empty file names, etc.

2006-01-22 02:18  joeyadams

	* mainform.ui.h, tpr.cxx, tpr.h: Fixed issues with absolute paths
	  and relative paths: made it so in the TPR, relative paths are used
	  only if the file is within the project directory.

2006-01-22 00:30  joeyadams

	* mainform.ui, mainform.ui.h: Creating a new file in the menu will
	  now put the file in the right directory.  Bug fixed involving paths
	  created for new files (their path didn't include the last folder).

2006-01-17 03:54  joeyadams

	* mainform.ui, mainform.ui.h, tpr.cxx: Files get path names
	  automatically now, and when you save the project, all the path names
	  are updated to the new project location.

	  Note: You'll only notice this if you click out to something, then
	  click back onto a project file.

2006-01-17 00:20  joeyadams

	* mainform.ui, mainform.ui.h, tpr.cxx, tpr.h: Save As now supports
	  creating new directories when you save again.

	  An issue I found is that if you save a project, then try to reopen
	  that project at any time during the program process, the contents
	  will be hidden.  A possible reason is that I forgot fclose() after
	  fopen()

2006-01-16 20:57  joeyadams

	* mainform.ui.h, tpr.cxx, tpr.h: Added Save As support.  However,
	  it still needs to make new files when you do save as.

2006-01-16 20:11  joeyadams

	* mainform.ui.h, tpr.cxx: Fixed file saving.  Looks like it works
	  now.

	  Note: When the project is opened, although the correct Open File is
	  automatically opened, it's not shown as selected on the tree list.

2006-01-16 18:20  joeyadams

	* mainform.ui, mainform.ui.h: Completed MainForm::fileSave_loadList
	  and it compiles fine.  Does not save files in the project, just the
	  TPR as of now.

	  WARNING:  Not debugged yet.  Saving will will crash!

2006-01-16 17:12  joeyadams

	* mainform.ui, mainform.ui.h, tpr.h: Added fileSave_loadList and
	  wrote code into MainForm::fileSave .

	  Note: Compiles with unused variable and parameter warnings because
	  fileSave_loadList does nothing as of now.

2006-01-16 16:26  joeyadams

	* tpr.cxx: Added functions save_tpr and saveTPR.

2006-01-16 04:56  kevinkofler

	* mainform.ui, mainform.ui.h, tpr.cxx, tpr.h: Add support for "Open
	  File=" (sadly, this uses an absolute path so it will only work for
	  KTIGCC-created projects).

2006-01-16 04:35  joeyadams

	* mainform.ui.h: Made it so folders start out opened.

2006-01-16 04:30  joeyadams

	* tpr.cxx: Added folder support on the tpr.cxx side.

2006-01-16 04:29  kevinkofler

	* mainform.ui.h: Handle project name and project file name.

2006-01-16 04:18  kevinkofler

	* KTIGCC.prj, mainform.ui.h: Correct ordering in drag&drop code.

2006-01-16 04:04  kevinkofler

	* mainform.ui, mainform.ui.h: Rename create_folder to createFolder
	  and make it a static class method to make Qt Designer happy.

2006-01-16 03:57  kevinkofler

	* mainform.ui.h: Fix folder name comparison in create_folder (don't
	  use ==, make sure it actually is a folder) and ordering in openFile.

2006-01-16 03:51  joeyadams

	* mainform.ui.h: Forgot to make create_folder set the folder label,
	  so it's fixed now.

2006-01-16 03:32  joeyadams

	* mainform.ui.h: Fixed bugs and added the function create_folder

2006-01-16 03:20  kevinkofler

	* mainform.ui.h: Put files before folders.

2006-01-16 02:53  joeyadams

	* mainform.ui.h: Implemented multiple file support on the
	  mainform.ui.h side.

2006-01-16 01:45  kevinkofler

	* tpr.cxx, tpr.h: Set proper default options. Fix handling of line
	  number (count starts at 0 because read_line immediately increments
	  it, consistently return l, not 1).

2006-01-16 01:19  kevinkofler

	* tpr.cxx, tpr.h: Remove unused settings. Move prj_name to the top
	  level. Add constructor for the settings and libopts.

2006-01-16 00:36  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: Display error messages if
	  something goes wrong during TPR loading.

2006-01-16 00:20  kevinkofler

	* mainform.ui.h, tpr.cxx, tpr.h: Check if Quill and A68k are
	  available when loading a project needing them.

2006-01-15 23:51  kevinkofler

	* tpr.cxx: Simplify file loading. Rename encapsulate_long_filename
	  to convert_path_separators. Add copyright notice.

2006-01-15 23:39  kevinkofler

	* mainform.ui, mainform.ui.h: Don't load the contents of binary
	  files.

2006-01-15 23:11  kevinkofler

	* mainform.ui, mainform.ui.h: Open != New

2006-01-15 22:43  kevinkofler

	* mainform.ui.h: Fix A68k support. Build using make, not make -k.

2006-01-15 22:39  kevinkofler

	* mainform.ui.h: Make A68k support optional.  Fix handling of Quill
	  files in fileOpen.  Update copyright notice.

2006-01-15 22:23  kevinkofler

	* .qmake.internal.cache[DEAD]: Another auto-generated (and
	  outdated) file goes away.

2006-01-15 22:13  kevinkofler

	* KTIGCC.pws[DEAD]: Remove KTIGCC.pws from CVS, workspace files
	  only cause conflicts there.

2006-01-15 06:01  joeyadams

	* KTIGCC.pws, mainform.ui, mainform.ui.h, tpr.cxx, tpr.h: Expanded
	  on TPR file listing to adapt it to folders.  Corrected the function
	  that converts the '\\' to '/'.

2006-01-15 01:26  kevinkofler

	* ktigcc.cpp: Add Joey Adams as an author of KTIGCC to the about
	  screen and update copyright date.

2006-01-15 01:12  kevinkofler

	* mainform.ui, mainform.ui.h: Fix compilation: declare all
	  functions in mainform.ui.h in the class header, use int and void *
	  instead of KDE enums/classes in prototypes.

2006-01-15 01:10  kevinkofler

	* Makefile[DEAD]: Delete generated makefile from CVS, please run
	  qmake on your machine during build.

2006-01-15 00:12  kevinkofler

	* KTIGCC.pws, Makefile: Rerun qmake.

2006-01-14 23:50  joeyadams

	* tpr.cxx, tpr.h: Adding tpr.h and tpr.cxx by committing too.

2006-01-14 23:38  joeyadams

	* KTIGCC.prj, Makefile, ktigcc.pro: Updating to accept tpr.cxx and
	  tpr.h.

2006-01-14 23:17  joeyadams

	* mainform.ui.h: Updated for opening files in its infancy.

2006-01-10 00:18  joeyadams

	* mainform.ui.h: File Dialogs reverted to the getOpenFileNames
	  method.  It works correctly now.  I had to because of an issue
	  involving filters.

	  0. added include "kurl.h"
	  1. put the filters into an array in case it might be useful in the
	  future.
	  2. Changed the open dialog initializer that's in MainForm::init
	  3. Rewrote SGetFileName and SGetFileName_Multiple
	  4. Got rid of the unnecessary mode parameter of
	  SGetFileName_Multiple.

	  I think that's it.

	  Old log message:

	  stuff

	  No, just kidding.

	  All editing has been done in mainform.ui.h, and the changes are:

	  0. These variables have been added to right after the headers:

	  TIGCCOpenProjectFileFilter TIGCCSaveProjectFilter
	  TIGCCProjectDirectory pfiledialog

	  1. This line of code has been added one line before the end of
	  MainForm::init:

	  pfiledialog=new

	  KFileDialog(TIGCCProjectDirectory,TIGCCOpenProjectFileFilter,this,"File Dialog",TRUE);

	  2. This line of code has been added to the end of MainForm::destroy:

	  delete pfiledialog;

	  3. These two functions have been added before MainForm::fileOpen:

	  QString SGetFileName(KFileDialog::OperationMode mode,const QString
	  &fileFilter,const QString &caption); QStringList
	  SGetFileName_Multiple(KFileDialog::OperationMode mode,const QString
	  &fileFilter,const QString &caption);

	  4. The formerly empty MainForm::fileOpen has been started with:

	  QString

	  fileName=SGetFileName(KFileDialog::Opening,TIGCCOpenProjectFileFilter,"Open Project/File");


	  5. The formerly empty MainForm::fileSaveAs has been started with:

	  QString

	  fileName=SGetFileName(KFileDialog::Saving,TIGCCSaveProjectFilter,"Save Project");


	  6. The following header include has been added:

	  #include <kfiledialog.h>

	  The program has successfully compiled.

	  The changes I made to the Open Save As menus worked correctly EXCEPT
	  for a strange oddity:

	  If you go to open, change the type filter with the menu, close the
	  open dialog, then reopen it, the filter at the bottom will show the
	  default filter type again, but the files displayed above will not be
	  synced with it.  The original TIGCC

2006-01-09 21:47  joeyadams

	* mainform.ui.h: stuff

	  No, just kidding.

	  All editing has been done in mainform.ui.h, and the changes are:

	  0. These variables have been added to right after the headers:

	  TIGCCOpenProjectFileFilter TIGCCSaveProjectFilter
	  TIGCCProjectDirectory pfiledialog

	  1. This line of code has been added one line before the end of
	  MainForm::init:

	  pfiledialog=new

	  KFileDialog(TIGCCProjectDirectory,TIGCCOpenProjectFileFilter,this,"File Dialog",TRUE);

	  2. This line of code has been added to the end of MainForm::destroy:

	  delete pfiledialog;

	  3. These two functions have been added before MainForm::fileOpen:

	  QString SGetFileName(KFileDialog::OperationMode mode,const QString
	  &fileFilter,const QString &caption); QStringList
	  SGetFileName_Multiple(KFileDialog::OperationMode mode,const QString
	  &fileFilter,const QString &caption);

	  4. The formerly empty MainForm::fileOpen has been started with:

	  QString

	  fileName=SGetFileName(KFileDialog::Opening,TIGCCOpenProjectFileFilter,"Open Project/File");


	  5. The formerly empty MainForm::fileSaveAs has been started with:

	  QString

	  fileName=SGetFileName(KFileDialog::Saving,TIGCCSaveProjectFilter,"Save Project");


	  6. The following header include has been added:

	  #include <kfiledialog.h>

	  The program has successfully compiled.

	  The changes I made to the Open Save As menus worked correctly EXCEPT
	  for a strange oddity:

	  If you go to open, change the type filter with the menu, close the
	  open dialog, then reopen it, the filter at the bottom will show the
	  default filter type again, but the files displayed above will not be
	  synced with it.  The original TIGCC IDE would retain it's chosen
	  filter.

2005-12-09 18:57  kevinkofler

	* KTIGCC.pws, ktigcc.cpp, mainform.ui.h: Add fileName field to
	  ListViewFile. Set codec for QString<->C string conversion to UTF-8.

2005-11-22 06:56  kevinkofler

	* mainform.ui.h: Cursor position handling fixes.

2005-11-22 06:44  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Update character count when
	  the text changes.

2005-11-22 06:34  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Handle cursor positions.

2005-11-22 06:17  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Some work on the status
	  line.

2005-11-22 05:23  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Add editor popup window.

2005-11-22 04:35  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Delete unneeded fileExit
	  slot.

2005-11-22 03:59  kevinkofler

	* mainform.ui.h: Finish project tree drag&drop.

2005-11-22 03:32  kevinkofler

	* mainform.ui.h: Can drag&drop folders now.

2005-11-22 02:47  kevinkofler

	* KTIGCC.pws, Makefile, mainform.ui: The default window height got
	  reduced accidentally, increase it again.

2005-11-21 15:53  kevinkofler

	* Makefile, ktigcc.pro: Install the executable in make install.

2005-11-21 14:59  kevinkofler

	* Makefile, ktigcc.cpp, ktigcc.pro, mainform.ui, mainform.ui.h:
	  Implement help.

2005-11-21 13:50  kevinkofler

	* Makefile, mainform.ui, mainform.ui.h: Add missing help slots.

2005-11-21 13:37  kevinkofler

	* Makefile, ktigcc.cpp, mainform.ui, mainform.ui.h: Implement about
	  dialog (also gets rid of the warning about the deprecated version of
	  KCmdLineArgs::init).

2005-11-21 12:37  kevinkofler

	* Makefile, ktigcc.pro: Set compiler flags: get rid of pointless
	  warnings, optimize for size, -s instead of -g on release, set debug
	  mode for now.

2005-11-21 12:14  kevinkofler

	* mainform.ui.h: Get d&d closer to completion.

2005-11-21 12:07  kevinkofler

	* KTIGCC.pws, mainform.ui.h: Drag&drop fixes.

2005-11-21 11:09  kevinkofler

	* ktigcc.cpp: Update copyright date.

2005-11-21 11:08  kevinkofler

	* KTIGCC.prj, mainform.ui.h: Highlight Quill like C until we get a
	  Quill syntax file for Kate.

2005-11-21 11:00  kevinkofler

	* KTIGCC.pws, mainform.ui.h: Add COMMENT_AUTHORS to the C file
	  template.

2005-11-21 05:42  kevinkofler

	* KTIGCC.pws, Makefile, gnuasm68k.xml, ktigcc.pro, mainform.ui.h,
	  masm68k.xml: Enable syntax highlighting

2005-11-21 04:10  kevinkofler

	* KTIGCC.prj, KTIGCC.pws, ktigcc.cpp, mainform.ui.h: Gray out the
	  KatePart when it is disabled. (That was a lot harder than it should
	  be.)

2005-11-20 12:44  kevinkofler

	* mainform.ui.h: Update copyright date.

2005-11-20 12:41  kevinkofler

	* mainform.ui.h: Add some missing code for the Katepart.

2005-11-20 11:38  kevinkofler

	* KTIGCC.pws, Makefile, ktigcc.pro, mainform.ui, mainform.ui.h:
	  Change editor to Katepart. Some stuff still needs to be fixed.

2005-11-20 08:51  kevinkofler

	* KTIGCC.prj, mainform.ui.h: Get drag&drop in the project tree a
	  bit closer to working.

2005-11-20 07:15  kevinkofler

	* KTIGCC.prj, KTIGCC.pws, Makefile: Add Anjuta project. (Yes, I'm
	  still targeting KDE. The UI editor is set to Qt Designer, not
	  Glade.)

2004-04-25 06:16  kevinkofler

	* ktigcc.cpp, .qmake.internal.cache, Makefile, mainform.ui,
	  COPYING, ktigcc.pro, mainform.ui.h, images/00, images/01,
	  images/02, images/03, images/04, images/05, images/06, images/07,
	  images/08, images/09, images/10, images/11, images/12, images/13,
	  images/14, images/15, images/16, images/17, images/18, images/19,
	  images/20, images/21, images/22, images/23, images/24, images/25,
	  images/26, images/27, images/filec.png, images/fileh.png,
	  images/fileo.png, images/files.png, images/filet.png,
	  images/filex.png, images/folder1.png, images/folder2.png,
	  images/tpr.png: Initial revision

